<?php 
    $cat = $settings['portfolio_category']; 
    $select_portfolio = $settings['select_portfolio_item'];
    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

	if(empty($cat)){
    	$best_wp = new wp_Query(array(
			'post_type'      => 'portfolios',
			'posts_per_page' => $settings['per_page'],	
			'post__in' => $select_portfolio,						
		));	  
    }   
    else{
    	$best_wp = new wp_Query(array(
				'post_type'      => 'portfolios',
				'posts_per_page' => $settings['per_page'],
				'post__in' => $select_portfolio,				
				'tax_query'      => array(
			        array(
						'taxonomy' => 'portfolios-category',
						'field'    => 'slug', //can be set to ID
						'terms'    => $cat //if field is ID you can reference by cat/term number
			        ),
			    )
		));	  
    }

	while($best_wp->have_posts()): $best_wp->the_post();			
		$cats_show = get_the_term_list( $best_wp->ID, 'portfolios-category', ' ', '<span class="separator">,</span> ');
		$thumbnail_url = get_the_post_thumbnail_url();
		$iconImg = !empty(get_post_meta(get_the_ID(), 'portfolio_icon_image', true)) ? get_post_meta(get_the_ID(), 'portfolio_icon_image', true) : '';
	?>	

	<div class="grid-item">
		<div class="portfolio-item" style="
			background: url(<?php echo esc_url($thumbnail_url); ?>);
		">
            <div class="portfolio-content">
            	<div class="content-details">
					<?php if('yes' == $settings['cat_show_hide']){ ?>
	            		<p class="p-category"><?php echo wp_kses_post($cats_show); ?></p>
					<?php } ?>
	            	<?php if(get_the_title()):?>
	            		<h4 class="p-title"><?php the_title();?></h4>
	            	<?php endif;?>
	            </div>
            </div>
			<?php if('yes' == $settings['btn__show_hide']){ ?>
				<div class="btn-wrapper">
					<?php if (!empty($iconImg)) { ?>
						<div class="btn-img">
							<img src="<?php echo esc_url($iconImg); ?>" alt="">
						</div>
					<?php } ?>
					<a href="<?php the_permalink(); ?>" class="prs_btn rs-tween_max_btn">
						<?php if(!empty($settings['btn__icon']['value'])) {
							\Elementor\Icons_Manager::render_icon( $settings['btn__icon'], [ 'aria-hidden' => 'true' ] );
						} ?>
						<span class="rs-lettering-text">
							<?php 
								if(!empty($settings['btn__title'])) {
									echo esc_html($settings['btn__title']);
								} 
							?>
						</span>
					</a>
				</div>
			<?php } ?>
        </div>
	</div>
	<?php

	endwhile;
	wp_reset_query();  
