<?php
$widget->add_render_attribute('counter', [
    'class' => 'pxl--counter-value ' . $settings['effect'],
    'data-duration' => $settings['duration'],
    'data-startnumber' => $settings['starting_number'],
    'data-endnumber' => $settings['ending_number'],
    'data-to-value' => $settings['ending_number'],
    'data-delimiter' => $settings['thousand_separator_char'],
    'data-text' => $settings['suffix'],
]);

extract($settings);
$img_size = '';
if (!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = 'full';
}
?>

<div class="pxl-counter pxl-counter3 <?php echo esc_attr($settings['counter_style']); ?> <?php echo esc_attr($settings['pxl_animate']); ?>"
    data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms"
    data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <div class="pxl--item-inner">
        <div class="pxl--counter-number <?php echo esc_attr($settings['effect']); ?>">
            <?php if (!empty($settings['prefix'])) : ?>
                <span class="pxl--counter-prefix el-empty"><?php echo pxl_print_html($settings['prefix']); ?></span>
            <?php endif; ?>

            <span <?php pxl_print_html($widget->get_render_attribute_string('counter')); ?>>
                <?php echo esc_html($settings['starting_number']); ?>
            </span>

            <?php if ($settings['counter_style'] != 'style2' && !empty($settings['suffix'])) : ?>
                <span class="pxl--counter-suffix"><?php echo pxl_print_html($settings['suffix']); ?></span>
            <?php endif; ?>
        </div>
        <?php if (!empty($settings['title'])) : ?>
            <div class="pxl--item-title"><?php echo pxl_print_html($settings['title']); ?></div>
        <?php endif; ?>
        
    </div>
            <!-- ADD LIST IMAGE -->
        <div class="pxl-list-img">     
        <?php if (isset($list) && !empty($list) && count($list)) : ?>
            <?php foreach ($list as $key => $settings) : ?>
                <?php
                    $img = isset($settings['img']) ? $settings['img'] : '';
                    if (!empty($settings['image']['id'])) :
                        $image_size = !empty($settings['img_size']) ? $settings['img_size'] : '50x50';
                        $img_data = pxl_get_image_by_size([
                            'attach_id'  => $settings['image']['id'],
                            'thumb_size' => $image_size,
                        ]);
                        $thumbnail = $img_data['thumbnail'];
                ?>
            <div class="pxl-item--imgprimary">
                <?php echo pxl_print_html($thumbnail); ?>
            </div>
            <?php endif; ?>
            <?php endforeach; ?>
        <?php endif; ?>
        </div>
</div>