<?php
if ( ! empty( $settings['btn_link']['url'] ) ) {
    $widget->add_render_attribute( 'btn_link', 'href', $settings['btn_link']['url'] );

    if ( $settings['btn_link']['is_external'] ) {
        $widget->add_render_attribute( 'btn_link', 'target', '_blank' );
    }
    if ( $settings['btn_link']['nofollow'] ) {
        $widget->add_render_attribute( 'btn_link', 'rel', 'nofollow' );
    }
}

$is_new = \Elementor\Icons_Manager::is_migration_allowed(); 
$is_new2 = \Elementor\Icons_Manager::is_migration_allowed(); 
?>
<div class="pxl-image-box pxl-image-box2 <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    
    <div class="pxl-item--inner">
        <div class="item--image">            
            <?php if ( !empty($settings['image_front']['id']) ) : ?>
                <img src="<?php echo esc_url($settings['image_front']['url'])?>" class="image-front attachment-full" alt="image front" data-sampler="texture0">
            <?php endif; ?>
            <?php if ( !empty($settings['image_back']['id']) ) : ?>
                <img src="<?php echo esc_url($settings['image_back']['url'])?>" class="image-back attachment-full" alt="image back" data-sampler="texture1">
            <?php endif; ?>
           
        <a <?php pxl_print_html($widget->get_render_attribute_string( 'btn_link' )); ?>></a>
        </div>
        <div class="pxl-item-content">
        <div class="pxl-item--icon">
                <?php if ( ! empty( $settings['pxl_icon'])) : ?>
                    <div class="pxl-item--icon1">
                        <?php if ( $is_new ):
                            \Elementor\Icons_Manager::render_icon( $settings['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                        elseif(!empty($settings['pxl_icon'])): ?>
                            <i class="<?php echo esc_attr( $settings['pxl_icon'] ); ?>" aria-hidden="true"></i>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>  
              <?php if ( ! empty( $settings['pxl_icon2'])) : ?>
                    <div class="pxl-item--icon2">
                        <?php if ( $is_new2 ):
                            \Elementor\Icons_Manager::render_icon( $settings['pxl_icon2'], [ 'aria-hidden' => 'true' ] );
                        elseif(!empty($settings['pxl_icon2'])): ?>
                            <i class="<?php echo esc_attr( $settings['pxl_icon2'] ); ?>" aria-hidden="true"></i>
                        <?php endif; ?>
                    </div>
                    <?php endif; ?>  
                </div>                    
        <?php if(!empty($settings['button_text'])) : ?>
            <div class="pxl-title title-hover-line2">
                <?php echo esc_html($settings['button_text']); ?>
            </div>          
        <?php endif; ?>
        <a <?php pxl_print_html($widget->get_render_attribute_string( 'btn_link' )); ?>></a>
        </div>
    </div>
</div>