<?php
if ( ! empty( $settings['button_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['button_link']['url'] );

    if ( $settings['button_link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['button_link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-image-location <?php echo esc_attr($settings['pxl_animate'].' '.$settings['popular']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">  
    <div class="pxl-content">
            <?php if(!empty($settings['image_logo']['id'])) : 
				$image_size = !empty($settings['img_size']) ? $settings['img_size'] : '150x150'; 
				$img = pxl_get_image_by_size( array(
					'attach_id'  => $settings['image_logo']['id'],
					'thumb_size' => $image_size,
				));
				$thumbnail = $img['thumbnail'];
				?>
				<div class="pxl-item--imgprimary">
					<?php echo pxl_print_html($thumbnail); ?>
				</div>
			<?php endif; ?>
        <div class="pxl-item--meta">
            <div class="pxl-title"><?php echo pxl_print_html($settings['title']); ?></div>
                
        </div>

        <div class="pxl-item-inner">
        
            <?php if(isset($settings['feature']) && !empty($settings['feature']) && count($settings['feature'])): ?>
                <div class="pxl-item--feature">
                    <?php foreach ($settings['feature'] as $key => $value): ?>
                        <div class="pxl-feature-list">
                            <div class="pxl-feature-text">
                               
                                <?php echo pxl_print_html($value['feature_text'])?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            <?php if(!empty($settings['button_text'])) : ?>
                <div class="pxl-item--button">
                    <a class="btn-shape-primary btn-flex" <?php echo pxl_print_html($widget->get_render_attribute_string('button')); ?>>
                        <span class="pxl-btn-buy"><?php echo esc_html($settings['button_text']); ?></span> <span class="pxl-add">+</span>
                    </a>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
