<?php
$default_settings = [
    'title' => '',
    'list' => '',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$is_new = \Elementor\Icons_Manager::is_migration_allowed(); 
?>
<?php if(isset($list) && !empty($list) && count($list)): ?>
<div class="pxl-list pxl-list3  <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <?php if(!empty($title)): ?>
        <<?php echo esc_attr($settings['title_tag']); ?> class="pxl-item--title el-empty">
        <?php echo pxl_print_html($settings['title']); ?>
        <span class="title-line"></span>
        </<?php echo esc_attr($settings['title_tag']); ?>>
    <?php endif ;?>
    <ul class="pxl-item--list <?php echo esc_attr($settings['style']); ?>">
        <?php
        foreach ($list as $key => $value):
            $content = isset($value['content']) ? $value['content'] : '';
            $link_text = isset($value['link_text']) ? $value['link_text'] : '';
            $link = isset($value['link']) ? $value['link'] : '';
            $link2 = isset($value['link2']) ? $value['link2'] : '';
            $link_key = $widget->get_repeater_setting_key( 'content', 'value', $key );
            $link_key2 = $widget->get_repeater_setting_key( 'content', 'value', $key );
            $icon_key1 = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
            $number = $key + 1;
            $widget->add_render_attribute( $icon_key1, [
                'class' => $value['pxl_icon'],
                'aria-hidden' => 'true',
            ] );
            if ( ! empty( $link['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                if ( $link['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $link['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key );
            $link_attributes2 = $widget->get_render_attribute_string( $link_key2 );
            ?>
            <li class="pxl-list--content">
                <?php if ( ! empty( $value['pxl_icon']['value'] ) ) : ?>
                    <div class="pxl-item--icon">
                        <?php if ( $is_new ):
                            \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                        elseif(!empty($value['pxl_icon'])): ?>
                            <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                        <?php endif; ?>
                    </div>
                <?php endif; ?>
                <div class="pxl-content">
                    <div class="pxl-item-number" data-number="<?php echo esc_attr(""); ?>">
                            0<?php echo pxl_print_html($number); ?>
                        </div>
                    <div class="pxl-list--title">
                        <?php if (!empty($content)) : ?> 
                            <?php echo pxl_print_html($content); ?> 
                        <?php endif; ?>
                    </div>
                    <div class="pxl-des">
                        <?php if (!empty($link_text)) : ?>
                            <?php echo pxl_print_html($link_text); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </li>
        <?php endforeach; ?>
    </ul>
</div>
<?php endif; ?>