<?php
if ( ! empty( $settings['button_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['button_link']['url'] );

    if ( $settings['button_link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['button_link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-pricing pxl-pricing1 <?php echo esc_attr($settings['pxl_animate'].' '.$settings['popular']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">  
    <div class="pxl-content">
           
        <div class="pxl-item--meta">
            <div class="pxl-title"><?php echo pxl_print_html($settings['title']); ?></div>
                <div class="pxl-item--price">
                    <div class="pxl-price price-text">
                        <?php echo pxl_print_html($settings['price']); ?>
                    </div>
                    <div class="pxl-item--currency price-text"><?php echo pxl_print_html($settings['currency']); ?></div>
                </div>
        </div>

        <div class="pxl-item-inner">
        <div class="pxl-sub-title el-empty"><?php echo pxl_print_html($settings['sub']); ?></div>
            <?php if(isset($settings['feature']) && !empty($settings['feature']) && count($settings['feature'])): ?>
                <div class="pxl-item--feature">
                    <?php foreach ($settings['feature'] as $key => $value): ?>
                        <div class="pxl-feature-list">
                            <div class="pxl-feature-text">
                                <span><i class ="fas fa-check"></i></span>
                                <?php echo pxl_print_html($value['feature_text'])?>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            <?php if(!empty($settings['button_text'])) : ?>
                <div class="pxl-item--button">
                    <div class="pxl-btn-buy"> <?php echo esc_html($settings['button_text']);  ?> <i class="bootstrap-icons bi-plus-lg"></i> <a class="btn-shape-primary btn-flex" <?php echo pxl_print_html($widget->get_render_attribute_string('button')); ?>>
                    </a></div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
