<?php
$default_settings = [
    'gallery_list' => '',
    'filter_alignment' => '',
    'layout_mode' => 'masonry',
];
$settings = array_merge($default_settings, $settings);
extract($settings);
$img_size = '';
if(!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = 'full';
}
$html_id = pxl_get_element_id($settings);

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');

$col_xl = 12 / intval($col_xl);
$col_lg = 12 / intval($col_lg);
$col_md = 12 / intval($col_md);
$col_sm = 12 / intval($col_sm);
$col_xs = 12 / intval($col_xs);

$grid_sizer = "col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
$item_class = "pxl-grid-item  col-xl-{$col_xl} col-lg-{$col_lg} col-md-{$col_md} col-sm-{$col_sm} col-{$col_xs}";
?>
<?php if(isset($settings['team2']) && !empty($settings['team2']) && count($settings['team2'])): ?>
<div class="pxl-grid pxl-team-grid pxl-effect--direction pxl-team-grid2 <?php echo esc_attr($settings['style']); ?>" data-layout="<?php echo esc_attr($layout_mode); ?>">
    <div class="pxl-grid-inner  row" data-gutter="15">
        <div class="grid-sizer <?php echo esc_attr($grid_sizer); ?>"></div>
        <?php foreach ($settings['team2'] as $key => $value):
         $image2 = isset($value['image2']) ? $value['image2'] : '';
        ?>
        
        <div class=" <?php echo esc_attr($item_class); ?>">
            <div class="pxl-effect--3d">
                <div class="pxl-item--inner  <?php echo esc_attr($settings['pxl_animate']); ?>">
                <?php if(!empty($image2['id'])) {
                    $img = pxl_get_image_by_size( array(
                        'attach_id'  => $image2['id'],
                        'thumb_size' => $img_size,
                        'class' => 'no-lazyload',
                    ));
                    $thumbnail = $img['thumbnail'];?>
                    <div class="pxl-item--image ">
                        <?php echo wp_kses_post($thumbnail); ?>                          
                    </div>
                <?php } ?>
            </div>
            <div class="pxl-ag-courses-item_bg"></div>
        </div>    
        </div>
    <?php endforeach; ?>
    </div>
</div>
<?php endif; ?>

