<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$pagination_type = $widget->get_setting('pagination_type','bullets');
$arrows_style = $widget->get_setting('arrows_style','style1');
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$pagination = $widget->get_setting('pagination', false);
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$center = $widget->get_setting('center', false);

$space_between = $widget->get_setting('space_between');
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);

if(isset($settings['testimonial']) && !empty($settings['testimonial']) && count($settings['testimonial'])): ?>
    <div class="pxl-swiper-sliders pxl-testimonial-carousel pxl-testimonial-carousel2 pxl-swiper-arrow-show pxl-parent-transition pxl-parent-cursor pxl-drag-area <?php if($arrows == 'true') { echo esc_attr__( 'pxl-show-arrow', 'bexpres' ); } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>" style="--data-speed: <?php echo esc_attr($speed .'ms'); ?>">
        <div class="pxl-carousel-inner row">
            <div class="pxl-col-left col-3"></div>
            <div class="pxl-col-center col-7">
                <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' ));?>>
                <div class="pxl-swiper-wrapper">
                    <?php foreach ($settings['testimonial'] as $key => $value):
                        $i = 0;
                        $title = isset($value['title']) ? $value['title'] : '';
                        $position = isset($value['position']) ? $value['position'] : '';
                        $desc = isset($value['desc']) ? $value['desc'] : '';
                        $show_star = isset($value['show_star']) ? $value['show_star'] : '';
                        $star = isset($value['star']) ? $value['star'] : '';
                        $image = isset($value['image']) ? $value['image'] : '';
                        $thumbnail = '';
                        if(!empty($image['id'])) {
                            $img = pxl_get_image_by_size( array(
                                'attach_id'  => $image['id'],
                                'thumb_size' => '73x73',
                                'class' => 'no-lazyload',
                            ));
                            $thumbnail = $img['thumbnail'];
                        }
                        ?>
                        <div class="pxl-swiper-slide">
                            <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                                <div class="pxl-item--holder">
                                   <?php if( $show_star == 'true' ) : ?>
                                    <span class="pxl-item--star <?php echo esc_attr($star); ?>">
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                        <i class="fas fa-star"></i>
                                    </span>
                                <?php endif; ?>
                                <div class="pxl-item--desc el-empty"><?php echo pxl_print_html($desc); ?></div>
                              
                        </div>
                        <div class="pxl-item--by">
                                <h6 class="pxl-item--title el-empty"><?php echo pxl_print_html($title); ?></h6>
                                <span class="pxl-item--position el-empty"><?php echo pxl_print_html($position); ?></span>   
                        </div>
                        
                    </div>
                </div>
            <?php endforeach; ?>
            </div>
            
        </div>
        
    </div>
    <div class="pxl-col-right col-2"></div>
    <?php if($arrows == true): ?>
        <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
            <?php if($arrows_style == 'style1') { ?>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                    <span class="crossline1"></span>
                    <span class="crossline2"></span>
                </div>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-next">
                    <span class="crossline1"></span>
                    <span class="crossline2"></span>
                </div>
            <?php } else if($arrows_style == 'style2') { ?>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-prev">
                    <span class="circle"></span>
                    <i class="bi-arrow-left"></i>
                </div>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-next">                
                    <span class="circle"></span>
                    <i class="bi-arrow-right"></i>
                </div>
            <?php } else { ?>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-prev pxl-cursor--cta"><i class="bi bi-arrow-left"></i></div>
                <div class="pxl-swiper-arrow pxl-swiper-arrow-next pxl-cursor--cta"><i class="bi bi-arrow-right"></i></div>
            <?php } ?>
        </div>
    <?php endif; ?>
    <?php if($pagination !== false): ?>
        <div class="pxl-swiper-dots"></div>
    <?php endif; ?>
</div>
</div>
<?php endif; ?>