<?php

use Elementor\Utils;

$editor_title = $widget->get_settings_for_display('title');
$editor_title = $widget->parse_text_editor($editor_title);
$highlight_list = $widget->get_settings('text_list');
$list_array = [];

if (!empty($highlight_list)) {
    foreach ($highlight_list as $list) {
        $list_array[] = $list['highlight_text'];
    }
}
?>

<div class="pxl-typed-strings">
    <div class="pxl-heading--inner">
        <?php if (!empty($settings['sub_title'])) : ?>
            <div class="pxl-item--subtitle <?php echo esc_attr($settings['pxl_animate_sub']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay_sub']); ?>ms">
                <div class="wrap-subtitle">
                    <span><?php echo esc_html($settings['sub_title']); ?></span>
                </div>
            </div>
        <?php endif; ?>

        <div <?php echo esc_attr($settings['title_tag']); ?> class="pxl-item--title <?php echo esc_attr($settings['pxl_animate'] !== 'wow letter' ? $settings['pxl_animate'] : ''); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
            <?php if ($settings['source_type'] == 'text' && !empty($editor_title)) : ?>
                <?php if ($settings['pxl_animate'] == 'wow letter') : ?>
                    <span class="pxl-item--text">
                        <?php
                        $arr_str = explode(' ', $editor_title);
                        foreach ($arr_str as $index => $value) {
                            $arr_str[$index] = '<span class="pxl-text--slide"><span class="' . esc_attr($settings['pxl_animate']) . '">' . esc_html($value) . '</span></span>';
                        }
                        echo wp_kses_post(implode(' ', $arr_str));
                        ?>
                    </span>
                <?php else : ?>
                    <?php echo wp_kses_post($editor_title); ?>
                <?php endif; ?>
            <?php elseif ($settings['source_type'] == 'title') : ?>
                <?php
                $titles = bexpres()->page->get_title();
                pxl_print_html($titles['title']);
                ?>
            <?php endif; ?>

            <?php if (!empty($highlight_list)) : ?>
                <?php if ($settings['highlight_type'] == 'df') : ?>
                    <span class="pxl-wrap-text-type">
                        <span class="typed-strings">
                            <?php foreach ($list_array as $text) : ?>
                                <p><?php echo esc_html($text); ?></p>
                            <?php endforeach; ?>
                        </span>
                        <span class="typed"></span>
                        <span class="typed-cursor">|</span>
                    </span>
                <?php elseif ($settings['highlight_type'] == 'now') : ?>
                    <span class="pxl-title--typewriter">
                        <?php foreach ($list_array as $text) : ?>
                            <span class="pxl-item--text"><?php echo esc_html($text); ?></span>
                        <?php endforeach; ?>
                    </span>
                <?php endif; ?>
            <?php endif; ?>
        </div <?php echo esc_attr($settings['title_tag']); ?>>

        <?php if ($settings['style'] == 'border_space') : ?>
            <div class="space-border"></div>
        <?php endif; ?>
    </div>
</div>