<?php
// Register Image Box Widget
pxl_add_custom_widget(
    array(
        'name' => 'pxl_box_blog',
        'title' => esc_html__('BR Box Blog', 'bexpres' ),
        'icon' => 'eicon-image-box',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'bexpres-effects'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(  
                        array(
                            'name' => 'pxl_icon',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'category',
                            'label' => esc_html__('Category', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'date',
                            'label' => esc_html__('Date', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'title',
                            'label' => esc_html__('Title', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'pxl_icon2',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'excerpt',
                            'label' => esc_html__('Excerpt', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                        ),
                        array(
                            'name' => 'content',
                            'label' => esc_html__('Content', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Button Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'btn_link',
                            'label' => esc_html__('Link', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),
                    ),
                ),
                
                array(
                    'name' => 'section_style',
                    'label' => esc_html__('Style', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                       
                        
                        array(
                            'name' => 'category_color',
                            'label' => esc_html__('Category Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-category' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'category_typography',
                            'label' => esc_html__('Category Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-category ',
                        ),
                        array(
                            'name' => 'date_color',
                            'label' => esc_html__('Date Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-date' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'date_typography',
                            'label' => esc_html__('Date Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-date',
                        ),
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__('Title Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-title' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'title_typography',
                            'label' => esc_html__('Title Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-title',
                        ),
                        array(
                            'name' => 'category_color',
                            'label' => esc_html__('Category Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-excerpt .pxl--item' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'category_typography',
                            'label' => esc_html__('Category Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-excerpt .pxl--item',
                        ),
                        array(
                            'name' => 'excerpt_color',
                            'label' => esc_html__('Excerpt Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-excerpt' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'excerpt_typography',
                            'label' => esc_html__('Excerpt Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-excerpt ',
                        ),
                        array(
                            'name' => 'content_color',
                            'label' => esc_html__('Content Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-content' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                        ),
                        
                        array(
                            'name' => 'content_typography',
                            'label' => esc_html__('Content Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-content',
                        ),
                        array(
                            'name' => 'button_color',
                            'label' => esc_html__('button Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-button a' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                            
                        ),
                        array(
                            'name' => 'button_typography',
                            'label' => esc_html__('Button Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-box-blog .pxl-button a',
                        ),
                        array(
                            'name' => 'content_padding',
                            'label' => esc_html__('Content Padding', 'bexpres' ),
                            'type' => 'dimensions',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'default' => [
                                'unit' => 'px',
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog .pxl-item--inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ),
                    ),                   
                ),
                array(
                    'name' => 'style_hover',
                    'label' => esc_html__('Hover', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'icon_hv',
                            'label' => esc_html__('Icon Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog:hover .pxl-button a span svg path' => 'stroke: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'text_button_hv',
                            'label' => esc_html__('Text Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog:hover .pxl-button a' => 'color: {{VALUE}} ',
                            ],
                            'separator' => 'before',
                        ),
                        array(
                            'name' => 'button_hv',
                            'label' => esc_html__('Buttun Background', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog:hover .pxl-button a' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'bg_icon',
                            'label' => esc_html__('Icon Background', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-box-blog:hover .pxl-button a span' => 'background: {{VALUE}} ',
                            ],
                        ),                             
                    ),
                ),
bexpres_widget_animation_settings(),
),
),
),
bexpres_get_class_widget_path()
);