<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_heading',
        'title' => esc_html__('BR Heading', 'bexpres' ),
        'icon' => 'eicon-heading',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'bexpres-effects'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__( 'Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'source_type',
                            'label' => esc_html__( 'Source Type', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'text' => 'Text',
                                'title' => 'Page Title',
                            ],
                            'default' => 'text',
                        ),
                        array(
                            'name' => 'sub_title',
                            'label' => esc_html__( 'Sub Title', 'bexpres' ),
                            'description' => 'Create highlight text width shortcode: [sub_highlight text="Text Demo"]',
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'title',
                            'label' => esc_html__( 'Title', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                            'description' => 'Create highlight text width shortcode: [highlight text="Text Demo"]',
                            'condition' => [
                                'source_type' => ['text'],
                            ],
                        ),
                        array(
                          'name' => 'align',
                          'label' => esc_html__( 'Alignment', 'bexpres' ),
                          'type' => \Elementor\Controls_Manager::CHOOSE,
                          'control_type' => 'responsive',
                          'options' => [
                            'left' => [
                                'title' => esc_html__( 'Left', 'bexpres' ),
                                'icon' => 'eicon-text-align-left',
                            ],
                            'center' => [
                                'title' => esc_html__( 'Center', 'bexpres' ),
                                'icon' => 'eicon-text-align-center',
                            ],
                            'right' => [
                                'title' => esc_html__( 'Right', 'bexpres' ),
                                'icon' => 'eicon-text-align-right',
                            ],
                            'justify' => [
                                'title' => esc_html__( 'Justified', 'bexpres' ),
                                'icon' => 'eicon-text-align-justify',
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-heading' => 'text-align: {{VALUE}};',
                        ],
                    ),
                        array(
                            'name' => 'h_width',
                            'label' => esc_html__( 'Max Width', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-heading--inner' => 'max-width: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_title_sub',
                    'label' => esc_html__('Sub Title', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'style_sub',
                            'label' => esc_html__('Style', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'df' => 'Default',
                                'style2' => 'Style 2',
                            ],
                            'default' => 'df',
                        ),
                        array(
                            'name' => 'sub_title_color',
                            'label' => esc_html__('Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle' => 'color: {{VALUE}};',                                
                            ],
                        ),
                        
                        array(
                            'name' => 'sub_title_bg',
                            'label' => esc_html__('Background', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle' => 'background-color: {{VALUE}};',                                
                            ],
                        ),
                        
                        array(
                            'name' => 'sub_title_typography',
                            'label' => esc_html__('Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-heading .pxl-item--subtitle span',
                        ),
                        array(
                            'name' => 'highlight_color_sub',
                            'label' => esc_html__( 'Highlight Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-sub--highlight' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                        array(
                            'name' => 'highlight_sub_typography',
                            'label' => esc_html__('Highlight Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-sub--highlight',
                        ),
                        array(
                            'name' => 'sub_title_margin',
                            'label' => esc_html__('Margin (px)', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'control_type' => 'responsive',
                            'separator' => 'after',
                        ),
                        array(
                            'name' => 'input_border_radius',
                            'label' => esc_html__('Border Radius', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'default' => [
                                'unit' => '%',
                            ],
                            'range' => [
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'sub_title_padding',
                            'label' => esc_html__('Padding (px)', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-heading .pxl-item--subtitle' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'control_type' => 'responsive',
                            'separator' => 'after',
                        ),
                        array(
                            'name' => 'pxl_animate_sub',
                            'label' => esc_html__( 'BR Animate', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => bexpres_widget_animate(),
                            'default' => '',
                        ),
                        array(
                            'name' => 'pxl_animate_delay_sub',
                            'label' => esc_html__('Animate Delay', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => '0',
                            'description' => esc_html__( 'Enter number. Default 0ms', 'bexpres' ),
                        ),
                        array(
                            'name' => 'pxl_animate_duration_sub',
                            'label' => esc_html__('Animation Duration', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'min' => 0,
                            'step' => 0.1,
                            'default' => 1.2,
                            'description' => 'Default 1.2s',
                        ),
                    ),
),
array(
    'name' => 'section_style_title',
    'label' => esc_html__('Title', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'style',
            'label' => esc_html__('Style', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'style1' => 'Default',
                'style2' => 'Text Shadow',
                'outline' => 'Outline',
            ],
            'default' => 'style1',
        ),
        array(
            'name' => 'title_tag',
            'label' => esc_html__('HTML Tag', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'h1' => 'H1',
                'h2' => 'H2',
                'h3' => 'H3',
                'h4' => 'H4',
                'h5' => 'H5',
                'h6' => 'H6',
                'div' => 'div',
                'span' => 'span',
                'p' => 'p',
            ],
            'default' => 'h2',
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__( 'Title Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title' => 'color: {{VALUE}};',
            ],
        ),
        
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-heading .pxl-item--title',
        ),
        array(
            'name' => 'outline_color',
            'label' => esc_html__( 'Outline Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title.outline .pxl-text-line-backdrop svg' => 'stroke: {{VALUE}};',
            ],
            'condition' => [
                'style' => 'outline',
            ],
        ),
        
        array(
            'name' => 'outline_typography',
            'label' => esc_html__('Outline Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-heading .pxl-item--title.outline',
            'condition' => [
                'style' => 'outline',
            ],
        ),
        
        array(
            'name'         => 'title_box_shadow',
            'label' => esc_html__( 'Title Shadow', 'bexpres' ),
            'type'         => \Elementor\Group_Control_Text_Shadow::get_type(),
            'control_type' => 'group',
            'selector'     => '{{WRAPPER}} .pxl-heading .pxl-item--title'
        ),
        array(
            'name' => 'title_margin',
            'label' => esc_html__('Margin (px)', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'top' => 0,
                'right' => 0,
                'bottom' => 0,
                'left' => 0,
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'title_padding',
            'label' => esc_html__('Padding (px)', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
            'separator' => 'after',
        ),
        array(
            'name' => 'scroll_horizontal',
            'label' => esc_html__('Scroll Horizontal', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'scroll_revesal',
            'label' => esc_html__('Scroll Revesal', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
            'condition' => [
                'scroll_horizontal' => 'true',
            ],
        ),
        array(
            'name' => 'scroll_offset_x',
            'label' => esc_html__('Scroll Offset X', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => '%',
                'size' => '85',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-section-scroll' => 'transform: translateX({{SIZE}}{{UNIT}}); -webkit-transform: translateX({{SIZE}}{{UNIT}}); -moz-transform: translateX({{SIZE}}{{UNIT}}); -ms-transform: translateX({{SIZE}}{{UNIT}}); -o-transform: translateX({{SIZE}}{{UNIT}});',
            ],
            'condition' => [
                'scroll_horizontal' => 'true',
            ],
        ),
        array(
            'name' => 'title_line',
            'label' => esc_html__('Title Line', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'divider',
            'label' => esc_html__('Divider Position', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'divider-none'      => esc_html__( 'None', 'bexpres' ),
                'divider-left'      => esc_html__( 'Left', 'bexpres' ),
                'divider-right'     => esc_html__( 'Right', 'bexpres' ),
                'divider-top'       => esc_html__( 'Top', 'bexpres' ),
                'divider-bottom'    => esc_html__( 'Bottom', 'bexpres' ),
            ],
            'default' => 'divider-none',
        ),
        array(
            'name'  => 'divider_width',
            'label' => esc_html__( 'Divider Width', 'bexpres' ),
            'type'  => 'slider',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title:before,
                {{WRAPPER}} .pxl-heading .pxl-item--title:after' => 'width: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'divider!' => ['divider-none'],
            ],
        ),
        array(
            'name'  => 'divider_height',
            'label' => esc_html__( 'Divider Height', 'bexpres' ),
            'type'  => 'slider',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title:before,
                {{WRAPPER}} .pxl-heading .pxl-item--title:after' => 'height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'divider!' => ['divider-none'],
            ],
        ),
        array(
            'name' => 'divider_color',
            'label' => esc_html__( 'Divider Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title:before,
                {{WRAPPER}} .pxl-heading .pxl-item--title:after' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'divider!' => ['divider-none'],
            ],
        ),
        
        array(
            'name' => 'title_split_text_anm',
            'label' => esc_html__('Split Text Animation', 'bexpres' ),
            'type' => 'select',
            'options' => [
                ''               => esc_html__( 'None', 'bexpres' ),
                'split-in-fade' => esc_html__( 'In Fade', 'bexpres' ),
                'split-in-right' => esc_html__( 'In Right', 'bexpres' ),
                'split-in-left'  => esc_html__( 'In Left', 'bexpres' ),
                'split-in-up'    => esc_html__( 'In Up', 'bexpres' ),
                'split-in-down'  => esc_html__( 'In Down', 'bexpres' ),
                'split-in-rotate'  => esc_html__( 'In Rotate', 'bexpres' ),
                'split-in-scale'  => esc_html__( 'In Scale', 'bexpres' ),
            ],
            'default' => '',
        ),
        array(
            'name' => 'pxl_animate',
            'label' => esc_html__('BR Animate', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => bexpres_widget_animate_v2(),
            'default' => '',
        ),
        array(
            'name' => 'pxl_animate_delay',
            'label' => esc_html__('Animate Delay', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default' => '0',
            'description' => esc_html__( 'Enter number. Default 0ms', 'bexpres'),
        ),
        array(
            'name' => 'pxl_animate_duration',
            'label' => esc_html__('Animation Duration', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'min' => 0,
            'step' => 0.1,
            'default' => 1.2,
            'description' => 'Default 1.2s',
        ),
    ),
),
array(
    'name' => 'section_style_highlight',
    'label' => esc_html__('Highlight', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'style_highlight',
            'label' => esc_html__('Style', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'df' => 'Default',
                'gradient-hightlight' => 'Gradient',
                'breathing' => 'Breathing',
            ],
            'default' => 'df',
        ),
        array(
            'name' => 'highlight_color',
            'label' => esc_html__( 'Highlight Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-heading .pxl-item--title .pxl-title--highlight' => 'color: {{VALUE}};',
            ],
        ),
        
        array(
            'name' => 'highlight_typography',
            'label' => esc_html__('Highlight Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-heading .pxl-item--title .pxl-title--highlight',
        ),
    ),
),
),
),
),
bexpres_get_class_widget_path()
);