<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_job',
        'title' => esc_html__('BR Job', 'bexpres' ),
        'icon' => 'eicon-editor-list-ul',
        'categories' => array('pxltheme-core'),
        'scripts'    => array(),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'tab_content',
                    'label' => esc_html__( 'Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'position',
                            'label' => esc_html__('Position', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'placeholder' => esc_html__('Enter your Position', 'bexpres' ),
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'location',
                            'label' => esc_html__('Location', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'placeholder' => esc_html__('Enter your Location', 'bexpres' ),
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'type',
                            'label' => esc_html__('Type', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'placeholder' => esc_html__('Enter your type', 'bexpres' ),
                            'label_block' => true,
                        ),
                    ),
                ),
                array(
                    'name' => 'tab_style',
                    'label' => esc_html__('Style', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'position_color',
                            'label' => esc_html__('Position Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-job .pxl-position' => 'color: {{VALUE}};',
                            ],
                        ),
                       
                        array(
                            'name' => 'position_typography',
                            'label' => esc_html__('Position Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-job .pxl-position',
                        ),
                        array(
                            'name' => 'title_tag',
                            'label' => esc_html__('HTML Tag', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'h1' => 'H1',
                                'h2' => 'H2',
                                'h3' => 'H3',
                                'h4' => 'H4',
                                'h5' => 'H5',
                                'h6' => 'H6',
                                'div' => 'div',
                                'span' => 'span',
                                'p' => 'p',
                            ],
                            'default' => 'h6',
                        ),
                        
                        
                        array(
                            'name' => 'location_typography',
                            'label' => esc_html__('Location Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-job .pxl-location',
                        ),
                        array(
                            'name' => 'location_color',
                            'label' => esc_html__('Location Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-job .pxl-location' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'type_color',
                            'label' => esc_html__('Type Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-job .pxl-type' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'type_typography',
                            'label' => esc_html__('Type Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-job .pxl-type',
                        ),
                        
                    ),
),
bexpres_widget_animation_settings()
),
),
),
bexpres_get_class_widget_path()
);