<?php
$slides_to_show = range( 1, 10 );
$slides_to_show = array_combine( $slides_to_show, $slides_to_show );
$templates_df = ['0' => esc_html__('None', 'bexpres')];
$templates = $templates_df + bexpres_get_templates_option('hidden-panel') ;

pxl_add_custom_widget(
    array(
        'name' => 'pxl_slider_carousel',
        'title' => esc_html__('BR Slider Carousel', 'bexpres'),
        'icon' => 'eicon-slider-push',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'swiper',
            'pxl-swiper',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'bexpres' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_slider_carousel/img-layout/layout4.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        
                        array(
                            'name' => 'slider2',
                            'label' => esc_html__('Slider', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'condition' => [
                                'layout' => ['4'],
                            ],
                            'controls' => array(
                                array(
                                    'name' => 'video_link',
                                    'label' => esc_html__('Link', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'default' => 'https://www.youtube.com/watch?v=SF4aHwxHtZ0',                  
                                ),
                                array(
                                    'name' => 'image4',
                                    'label' => esc_html__( 'Image Light', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'sub_text4',
                                    'label' => esc_html__('Sub Title', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'title4',
                                    'label' => esc_html__('Title', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 5,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'desc4',
                                    'label' => esc_html__('Description', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 10,
                                    'show_label' => false,

                                ),
                                array(
                                    'name' => 'button_text1',
                                    'label' => esc_html__('Button Text 1', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'btn_link4',
                                    'label' => esc_html__('Link', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                                array(
                                    'name' => 'button_text2',
                                    'label' => esc_html__('Button Text 2', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'btn_link2',
                                    'label' => esc_html__('Link', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'default' => [
                                        'url' => '#',
                                    ],
                                ),
                            ),
                            'title_field' => '{{{ title4 }}}',
                        ),
                        array(
                            'name' => 'shape_one',
                            'label' => esc_html__( 'Shape One', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['4'],
                            ],
                        ),
                        array(
                            'name' => 'shape_two',
                            'label' => esc_html__( 'Shape Two', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['4'],
                            ],
                        ),
                        array(
                            'name' => 'pxl_icon',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                            
                        ),
                        
                       
                        array(
                            'name' => 'follow',
                            'label' => esc_html__('Follow', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                        ),
                        
                        
                        array(
                            'name' => 'social_icon',
                            'label' => esc_html__('Social', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'icon_type',
                                    'label' => esc_html__('Type', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'icon' => esc_html__( 'Icon', 'bexpres' ),
                                        'image' => esc_html__( 'Image', 'bexpres' ),
                                    ],
                                    'default' => 'icon',
                                ),
                                array(
                                    'name' => 'icon_image',
                                    'label' => esc_html__( 'Image', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                    'condition' => [
                                        'icon_type' => 'image',
                                    ],
                                ),
                                array(
                                    'name' => 'pxl_icon',
                                    'label' => esc_html__('Icon', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::ICONS,
                                    'fa4compatibility' => 'icon',
                                    'condition' => [
                                        'icon_type' => 'icon',
                                    ],
                                ),
                                array(
                                    'name' => 'icon_link',
                                    'label' => esc_html__('Link', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::URL,
                                    'label_block' => true,
                                ),
                            ),
                        ),
                        array(
                          'name' => 'align',
                          'label' => esc_html__( 'Alignment', 'bexpres' ),
                          'type' => \Elementor\Controls_Manager::CHOOSE,
                          'control_type' => 'responsive',
                          'options' => [
                            'left' => [
                                'title' => esc_html__( 'Left', 'bexpres' ),
                                'icon' => 'eicon-text-align-left',
                            ],
                            'center' => [
                                'title' => esc_html__( 'Center', 'bexpres' ),
                                'icon' => 'eicon-text-align-center',
                            ],
                            'right' => [
                                'title' => esc_html__( 'Right', 'bexpres' ),
                                'icon' => 'eicon-text-align-right',
                            ],
                            'justify' => [
                                'title' => esc_html__( 'Justified', 'bexpres' ),
                                'icon' => 'eicon-text-align-justify',
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-slider-carousel .content--inner' => 'text-align: {{VALUE}};justify-content:center',
                        ],
                    ),

                    ),
),

array(
    'name' => 'section_style_subtitle',
    'label' => esc_html__('Subtitle', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        
        array(
            'name' => 'sub_title_color_outline',
            'label' => esc_html__('Sub Title Color Outline', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                
            ],
            'condition' => [
                'sub_outline' => 'true',
            ],
        ),
        
        array(
            'name' => 'sub_title_color',
            'label' => esc_html__('Sub Title Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-item--subtitle:before' => '-webkit-text-fill-color: {{VALUE}};',                                
            ],
        ),
        
        array(
            'name' => 'sub_title_typography',
            'label' => esc_html__('Sub Title Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-item--subtitle',
        ),
        array(
            'name' => 'sub_title_max_width',
            'label' => esc_html__( 'Sub Title Max Width', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'sub_title_margin',
            'label' => esc_html__('Sub Title Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--subtitle' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
    ),
),
array(
    'name' => 'section_style_title_outline',
    'label' => esc_html__('Title Outline', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'title_outline_color',
            'label' => esc_html__('Title Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel .pxl-item--title-outline' => '-webkit-text-stroke-color: {{VALUE}};',
            ],
        ),
        
        array(
            'name' => 'title_outline_typography',
            'label' => esc_html__('Title Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-slider-carousel .pxl-item--title-outline',
        ),
    ),
),
array(
    'name' => 'section_style_title',
    'label' => esc_html__('Title', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'follow_color',
            'label' => esc_html__('Follow Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel4 .pxl-item--follow .pxl-follow' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'follow_typography',
            'label' => esc_html__('Follow Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-slider-carousel4 .pxl-item--follow .pxl-follow',
        ),
        array(
            'name' => 'title_color_outline',
            'label' => esc_html__('Title Color Outline', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title:before' => '-webkit-text-fill-color: {{VALUE}};',
            ],
            'condition' => [
                'title_outline' => 'true',
            ],
        ),
       
        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Title Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-item--title',
        ),
        array(
            'name' => 'title_max_width',
            'label' => esc_html__( 'Title Max Width', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'des_typography',
            'label' => esc_html__('Des Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-slider-carousel4 .pxl-item--desc',
        ),
        array(
            'name' => 'des_color',
            'label' => esc_html__('Description Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel .pxl-item--desc' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
        ),
        array(
            'name' => 'title_margin',
            'label' => esc_html__('Title Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style_icon',
    'label' => esc_html__('icon', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'icon_color',
            'label' => esc_html__('Icon Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel4 .pxl-item--follow .pxl-item--social a' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'icon_hv',
            'label' => esc_html__('Icon Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-slider-carousel4 .pxl-item--follow .pxl-item--social a:hover' => 'color: {{VALUE}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style_button',
    'label' => esc_html__('Button', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'button_color',
            'label' => esc_html__('Button Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .item--button, {{WRAPPER}} .item--button .btn-text' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line .btn-icon .line, {{WRAPPER}} .pxl-btn-line .btn-icon .dot' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line .btn-icon .circle, {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        
        array(
            'name' => 'hover_button_color',
            'label' => esc_html__('Hover Button Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .item--button:hover, {{WRAPPER}} .item--button:hover .btn-text' => 'color: {{VALUE}}; text-decoration: underline {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .line, {{WRAPPER}} .pxl-btn-line:hover .btn-icon .dot' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .circle, {{WRAPPER}} .btn-border-running' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'button-bg',
            'label' => esc_html__('Button Background', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                ' {{WRAPPER}} .pxl-slider-carousel4 .pxl-item--content .btn-video' => 'background: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'hover_button-bg',
            'label' => esc_html__('Hover Button Background', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                ' {{WRAPPER}} .pxl-slider-carousel4 .pxl-item--content .btn-video:hover' => 'background: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'button_typography',
            'label' => esc_html__('Button Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .item--button',
        ),
        array(
            'name' => 'button_margin',
            'label' => esc_html__('Button Text Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-item--content .btn-text' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
        ), 
        array(
            'name' => 'border_color_line',
            'label' => esc_html__('Border Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .btn-line:before,{{WRAPPER}} .btn-line:after,{{WRAPPER}} .btn-line span:before, {{WRAPPER}} .btn-line span:after' => 'border-color: {{VALUE}};',
            ],
        ),
        
    ),
),

array(
    'name' => 'section_settings_carousel',
    'label' => esc_html__('Settings', 'bexpres'),
    'tab' => \Elementor\Controls_Manager::TAB_SETTINGS,
    'controls' => array(
        array(
            'name' => 'slide_direction',
            'label' => esc_html__('Slide Direction', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'horizontal',
            'options' => [
                'horizontal' => 'Horizontal',
                'vertical' => 'Vertical',
            ],
        ),
        array(
            'name' => 'slide_mode',
            'label' => esc_html__('Slide Mode', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'fade' => 'Fade',
                'cube' => 'Cube',
                'slide' => 'Slide',
                'creative' => 'Creative',
            ],
        ),
        array(
            'name' => 'col_xs',
            'label' => esc_html__('Columns XS Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_sm',
            'label' => esc_html__('Columns SM Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_md',
            'label' => esc_html__('Columns MD Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_lg',
            'label' => esc_html__('Columns LG Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xl',
            'label' => esc_html__('Columns XL Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xxl',
            'label' => esc_html__('Columns XXL Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'inherit',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
                'inherit' => 'Inherit',
            ],
        ),
        array(
            'name' => 'slides_to_scroll',
            'label' => esc_html__('Slides to scroll', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'item_padding',
            'label' => esc_html__('Item Padding', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'default' => [
                'top' => '0',
                'right' => '0',
                'bottom' => '0',
                'left' => '0'
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-container' => 'margin-top: -{{TOP}}{{UNIT}}; margin-right: -{{RIGHT}}{{UNIT}}; margin-bottom: -{{BOTTOM}}{{UNIT}}; margin-left: -{{LEFT}}{{UNIT}};',
                '{{WRAPPER}} .pxl-swiper-container .pxl-swiper-slide' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'arrows',
            'label' => esc_html__('Show Arrows', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'arrows_style',
            'label' => esc_html__('Arrows Style', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'style1' => 'Style 1',
                'style2' => 'Style 2',
                'style3' => 'Style 3',
            ],
            'default' => 'style1',
            'condition' => [
                'arrows' => 'true',
            ]
        ),
        array(
            'name' => 'arrows_bg_color',
            'label' => esc_html__('Arrows Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style1 .pxl-swiper-arrow' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style1',
            ]
        ),
        
        array(
            'name' => 'arrows_disabled_bg_color',
            'label' => esc_html__('Arrows Disabled Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style1 .pxl-swiper-arrow.swiper-button-disabled' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style1',
            ]
        ),
        array(
            'name' => 'arrow_prev_horizontal_orientation',
            'label' => esc_html__('Arrow Prev Horizontal Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'bexpres' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'bexpres' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_left',
            'label' => esc_html__('Arrow Prev Offset Left', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_right',
            'label' => esc_html__('Arrow Prev Offset Right', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_next_horizontal_orientation',
            'label' => esc_html__('Arrow Next Horizontal Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'bexpres' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'bexpres' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_left',
            'label' => esc_html__('Arrow Next Offset Left', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_right',
            'label' => esc_html__('Arrow Next Offset Right', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_vertical_orientation',
            'label' => esc_html__('Arrow Vertical Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Top', 'bexpres' ),
                    'icon' => 'eicon-v-align-top',
                ],
                'end' => [
                    'title' => esc_html__( 'Bottom', 'bexpres' ),
                    'icon' => 'eicon-v-align-bottom',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_offset_y',
            'label' => esc_html__('Arrow Offset Y', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'top: {{SIZE}}{{UNIT}}; bottom: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_offset_y_end',
            'label' => esc_html__('Arrow Offset Y', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'bottom: {{SIZE}}{{UNIT}}; top: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'pagination',
            'label' => esc_html__('Show Pagination', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'pagination_type',
            'label' => esc_html__('Pagination Type', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'bullets',
            'options' => [
                'bullets' => 'Bullets',
                'fraction' => 'Fraction',
                'progressbar' => 'Progressbar',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'pagination_margin',
            'label' => esc_html__('Pagination Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'wp_arrow_margin',
            'label' => esc_html__('Arrow/Pagination Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pagination' => 'true',
                'arrows' => 'true',
            ]
        ),
        array(
            'name' => 'bullets_color',
            'label' => esc_html__('Bullets Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .pxl-swiper-pagination-bullet:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
        
        array(
            'name' => 'active_bullets_color',
            'label' => esc_html__('Bullets Color Active', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .swiper-pagination-bullet-active:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
       
        array(
            'name' => 'fraction_color',
            'label' => esc_html__('Fraction Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots.pxl-swiper-pagination-fraction' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'fraction',
                'pagination' => 'true'
            ]
        ),
        
        array(
            'name' => 'pause_on_hover',
            'label' => esc_html__('Pause on Hover', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'separator' => 'before',
        ),
        array(
            'name' => 'autoplay',
            'label' => esc_html__('Autoplay', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'autoplay_speed',
            'label' => esc_html__('Autoplay Speed', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 5000,
            'condition' => [
                'autoplay' => 'true'
            ]
        ),
        array(
            'name' => 'infinite',
            'label' => esc_html__('Infinite Loop', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'center',
            'label' => esc_html__('Center', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'speed',
            'label' => esc_html__('Animation Speed', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 1600,
        ),
        array(
            'name' => 'stretch_cover',
            'label' => esc_html__('Stretch', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 0,
        ),
    ),
),
bexpres_widget_animation_settings()
),
),
),
bexpres_get_class_widget_path()
);