<?php
$templates = bexpres_get_templates_option('tab', []) ;
pxl_add_custom_widget(
    array(
        'name' => 'pxl_tabs',
        'title' => esc_html__( 'BR Tabs', 'bexpres' ),
        'icon' => 'eicon-tabs',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'bexpres-tabs'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'bexpres' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                              
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_tabs/layout-image/layout3.png'
                                ], 
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'tab_content',
                    'label' => esc_html__( 'Tabs', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'tab_active',
                            'label' => esc_html__( 'Active Tab', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::NUMBER,
                            'default' => 1,
                            'separator' => 'after',
                        ),
                       
                        array(
                            'name' => 'tabs',
                            'label' => esc_html__( 'Content', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(

                                array(
                                    'name' => 'title',
                                    'label' => esc_html__( 'Title', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                
                                array(
                                    'name' => 'content_type',
                                    'label' => esc_html__('Content Type', 'bexpres'),
                                    'type' => 'select',
                                    'options' => [
                                        'df' => esc_html__( 'Default', 'bexpres' ),
                                        'template' => esc_html__( 'From Template Builder', 'bexpres' )
                                    ],
                                    'default' => 'df' 
                                ),

                                array(
                                    'name' => 'image',
                                    'label' => esc_html__( 'Image', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                    'condition' => ['content_type' => 'df'],
                                ),
                                array(
                                    'name' => 'desc',
                                    'label' => esc_html__( 'Desc', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'condition' => ['content_type' => 'df'],
                                ),
                               
                                array(
                                    'name' => 'content_template',
                                    'label' => esc_html__('Select Templates', 'bexpres'),
                                    'type' => 'select',
                                    'options' => $templates,
                                    'default' => 'df',
                                    'description' => 'Add new tab template: "<a href="' . esc_url( admin_url( 'edit.php?post_type=pxl-template' ) ) . '" target="_blank">Click Here</a>"',
                                    'condition' => ['content_type' => 'template'] 
                                ),
                            ),
                            'title_field' => '{{{ title }}}',
                        ),
                    ),
),

array(
    'name' => 'tab_tab_bar',
    'label' => esc_html__( 'Tab Bar', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(

        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-tabs .pxl-tabs--title > .pxl-item--title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_active_color',
            'label' => esc_html__('Title Active Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-tabs .pxl-item--title.active' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'heading_tab_typography',
            'label' => esc_html__('Typography', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::HEADING,
            'separator' => 'before',
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Title Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-tabs .pxl-tabs--title > .pxl-item--title',
        ),
        array(
            'name' => 'heading_extend_features_tab',
            'label' => esc_html__('Extend Features', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::HEADING,
            'separator' => 'before',
        ),
        array(
            'name' => 'margin_tabs',
            'label' => esc_html__('Margin Tabs', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', 'custom' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-tabs .pxl-tabs--title' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'padding_item_title',
            'label' => esc_html__('Padding Item Title', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', 'custom' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-tabs .pxl-tabs--title .pxl-item--title ' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'tab_effect',
            'label' => esc_html__('Effect', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'tab-effect-slide' => 'Slide',
                'tab-effect-fade' => 'Fade',
            ],
            'default' => 'tab-effect-slide',
        ),

    ),
),
bexpres_widget_animation_settings(),
),
),
),
bexpres_get_class_widget_path()
);