<?php
// make some configs
if(!function_exists('bexpres_configs')){
    function bexpres_configs($value){

        $configs = [
            'theme_colors' => [
                'primary'   => [
                    'title' => esc_html__('Primary', 'bexpres').' ('.bexpres()->get_opt('primary_color', '#113741').')',
                    'value' => bexpres()->get_opt('primary_color', '#113741')
                ],
                'secondary'   => [
                    'title' => esc_html__('Secondary', 'bexpres').' ('.bexpres()->get_opt('secondary_color', '#354C52').')',
                    'value' => bexpres()->get_opt('secondary_color', '#354C52')
                ],
                'third'   => [
                    'title' => esc_html__('Third', 'bexpres').' ('.bexpres()->get_opt('third_color', '#FF8A00').')',
                    'value' => bexpres()->get_opt('third_color', '#FF8A00')
                ],
               
                'bglight'   => [
                    'title' => esc_html__('Background Light', 'bexpres').' ('.bexpres()->get_opt('bg_light_color', '#fff').')',
                    'value' => bexpres()->get_opt('bg_light_color', '#fff')
                ],
                
                'gridlight'   => [
                    'title' => esc_html__('Grid Light', 'bexpres').' ('.bexpres()->get_opt('bg_grid_light', '#E6E6E6').')',
                    'value' => bexpres()->get_opt('bg_grid_light', '#E6E6E6')
                ],
                'griddark'   => [
                    'title' => esc_html__('Grid Dark', 'bexpres').' ('.bexpres()->get_opt('bg_grid_dark', '#2e2e2e').')',
                    'value' => bexpres()->get_opt('bg_grid_dark', '#2e2e2e')
                ]
            ],
            'link' => [
                'color' => bexpres()->get_opt('link_color', ['regular' => '#354C52'])['regular'],
                'color-hover'   => bexpres()->get_opt('link_color', ['hover' => '#FF8A00'])['hover'],
                'color-active'  => bexpres()->get_opt('link_color', ['active' => '#FF8A00'])['active'],
            ],
            'gradient' => [
                'color-from' => bexpres()->get_opt('gradient_color', ['from' => '#B90808'])['from'],
                'color-to' => bexpres()->get_opt('gradient_color', ['to' => '#151515'])['to'],
            ],

        ];
        return $configs[$value];
    }
}
if(!function_exists('bexpres_inline_styles')) {
    function bexpres_inline_styles() {

        $theme_colors      = bexpres_configs('theme_colors');
        $link_color        = bexpres_configs('link');
        $gradient_color    = bexpres_configs('gradient');

        ob_start();
        echo ':root{';

        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color: %2$s;', str_replace('#', '',$color),  $value['value']);
        }
        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color-rgb: %2$s;', str_replace('#', '',$color),  bexpres_hex_rgb($value['value']));
        }
        foreach ($link_color as $color => $value) {
            printf('--link-%1$s: %2$s;', $color, $value);
        }      
        foreach ($gradient_color as $color => $value) {
            printf('--gradient-%1$s: %2$s;', $color, $value);
        }
        echo '}';

        return ob_get_clean();

    }
}
