<?php
if (!class_exists('ReduxFramework')) {
    return;
}
if (class_exists('ReduxFrameworkPlugin')) {
    remove_action('admin_notices', array(ReduxFrameworkPlugin::instance(), 'admin_notices'));
}

$opt_name = bexpres()->get_option_name();
$version = bexpres()->get_version();

$args = array(
    // TYPICAL -> Change these values as you need/desire
    'opt_name'             => $opt_name,
    // This is where your data is stored in the database and also becomes your global variable name.
    'display_name'         => '', //$theme->get('Name'),
    // Name that appears at the top of your panel
    'display_version'      => $version,
    // Version that appears at the top of your panel
    'menu_type'            => 'submenu', //class_exists('Pxltheme_Core') ? 'submenu' : '',
    //Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
    'allow_sub_menu'       => true,
    // Show the sections below the admin menu item or not
    'menu_title'           => esc_html__('Theme Options', 'bexpres'),
    'page_title'           => esc_html__('Theme Options', 'bexpres'),
    // You will need to generate a Google API key to use this feature.
    // Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
    'google_api_key'       => '',
    // Set it you want google fonts to update weekly. A google_api_key value is required.
    'google_update_weekly' => false,
    // Must be defined to add google fonts to the typography module
    'async_typography'     => false,
    // Use a asynchronous font on the front end or font string
    //'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
    'admin_bar'            => false,
    // Show the panel pages on the admin bar
    'admin_bar_icon'       => 'dashicons-admin-generic',
    // Choose an icon for the admin bar menu
    'admin_bar_priority'   => 50,
    // Choose an priority for the admin bar menu
    'global_variable'      => '',
    // Set a different name for your global variable other than the opt_name
    'dev_mode'             => true,
    // Show the time the page took to load, etc
    'update_notice'        => true,
    // If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
    'customizer'           => true,
    // Enable basic customizer support
    //'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
    //'disable_save_warn' => true,                    // Disable the save warning when a user changes a field
    'show_options_object' => false,
    // OPTIONAL -> Give you extra features
    'page_priority'        => 80,
    // Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
    'page_parent'          => 'pxlart', //class_exists('bexpres_Admin_Page') ? 'case' : '',
    // For a full list of options, visit: //codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
    'page_permissions'     => 'manage_options',
    // Permissions needed to access the options panel.
    'menu_icon'            => '',
    // Specify a custom URL to an icon
    'last_tab'             => '',
    // Force your panel to always open to a specific tab (by id)
    'page_icon'            => 'icon-themes',
    // Icon displayed in the admin panel next to your menu_title
    'page_slug'            => 'pxlart-theme-options',
    // Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
    'save_defaults'        => true,
    // On load save the defaults to DB before user clicks save or not
    'default_show'         => false,
    // If true, shows the default value next to each field that is not the default value.
    'default_mark'         => '',
    // What to print by the field's title if the value shown is default. Suggested: *
    'show_import_export'   => true,
    // Shows the Import/Export panel when not used as a field.

    // CAREFUL -> These options are for advanced use only
    'transient_time'       => 60 * MINUTE_IN_SECONDS,
    'output'               => true,
    // Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
    'output_tag'           => true,
    // Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
    // 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.

    // FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
    'database'             => '',
    // possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
    'use_cdn'              => true,
    // If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.

    // HINTS
    'hints'                => array(
        'icon'          => 'el el-question-sign',
        'icon_position' => 'right',
        'icon_color'    => 'lightgray',
        'icon_size'     => 'normal',
        'tip_style'     => array(
            'color'   => 'red',
            'shadow'  => true,
            'rounded' => false,
            'style'   => '',
        ),
        'tip_position'  => array(
            'my' => 'top left',
            'at' => 'bottom right',
        ),
        'tip_effect'    => array(
            'show' => array(
                'effect'   => 'slide',
                'duration' => '500',
                'event'    => 'mouseover',
            ),
            'hide' => array(
                'effect'   => 'slide',
                'duration' => '500',
                'event'    => 'click mouseleave',
            ),
        ),
    ),
);

Redux::SetArgs($opt_name, $args);

/*--------------------------------------------------------------
# General
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title'  => esc_html__('General', 'bexpres'),
    'icon'   => 'el-icon-home',
    'fields' => array(
        array(
            'id'       => 'favicon',
            'type'     => 'media',
            'title'    => esc_html__('Favicon', 'bexpres'),
            'default'  => '',
            'url'      => false
        ),
        array(
            'id'       => 'mouse_move_animation',
            'type'     => 'switch',
            'title'    => esc_html__('Mouse Move Animation', 'bexpres'),
            'default'  => false
        ),
        array(
            'id'       => 'page_lading',
            'title'    => esc_html__('Page Loading', 'bexpres'),
            'type'     => 'section',
            'indent'   => true,
        ),
        array(
            'id'       => 'site_loader',
            'type'     => 'switch',
            'title'    => esc_html__('Loader', 'bexpres'),
            'default'  => false
        ),
        array(
            'id'       => 'loader_style',
            'type'     => 'select',
            'title'    => esc_html__('Loader Style', 'bexpres'),
            'options'  => [
                'style-text'           => esc_html__('Text', 'bexpres'),
                'style-plane'           => esc_html__('Plane', 'bexpres'),
                'style-text-blend'     => esc_html__('Text Blend', 'bexpres'),
                'style-triangle'       => esc_html__('Triangle', 'bexpres'),
                'style-home-assistant' => esc_html__('Home Assistant', 'bexpres'),
            ],
            'default'  => 'style-text',
            'indent'   => true,
            'required' => array( 0 => 'site_loader', 1 => 'equals', 2 => true ),
        ),
        array(
            'id'             => 'loading_text',
            'type'           => 'text',
            'title'          => esc_html__('Loading Text', 'bexpres'),
            'default'        => '',
            'desc'           => esc_html__('Enter the text displayed on load.', 'bexpres'),
            'required'       => array( 0 => 'loader_style', 1 => 'equals', 2 => array('loader_style', 'style-text-blend') ),
            'force_output'   => true
        ),
        array(
            'id'       => 'loader_logo',
            'type'     => 'media',
            'title'    => esc_html__('Logo', 'bexpres'),
            'url'      => false,
            'required' => array( 0 => 'loader_style', 1 => 'equals', 2 => array('loader_style', 'style-home-assistant') ),
        ),
        array(
            'id'       => 'loader_logo_height',
            'type'     => 'dimensions',
            'title'    => esc_html__('Logo Height', 'bexpres'),
            'width'    => false,
            'unit'     => 'px',
            'output'    => array('.pxl-loader .loader-logo img'),
            'required' => array( 0 => 'loader_style', 1 => 'equals', 2 => array('loader_style', 'style-home-assistant') ),
        ),
    )
));

Redux::setSection($opt_name, array(
    'title'      => esc_html__('Smooth Scroll', 'bexpres'),
    'icon'       => 'el el-circle-arrow-right',
    'subsection' => true,
    'fields'     => array(
        array(
            'id'       => 'smooth_scroll',
            'type'     => 'button_set',
            'title'    => esc_html__('Smooth Scroll', 'bexpres'),
            'options'  => array(
                'on' => esc_html__('On', 'bexpres'),
                'off' => esc_html__('Off', 'bexpres'),
            ),
            'default'  => 'off',
        ),
    )
));

/*--------------------------------------------------------------
# Colors
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title'  => esc_html__('Colors', 'bexpres'),
    'icon'   => 'el-icon-file-edit',
    'fields' => array(
        array(
            'id'       => 'button_light_dark_on',
            'type'     => 'switch',
            'title'    => esc_html__('Button Switch Light/Dark', 'bexpres'),
            'default'  => false,
        ),
        array(
            'id'       => 'light_dark_switch',
            'type'     => 'button_set',
            'title'    => esc_html__('Color Mode', 'bexpres'),
            'options'  => array(
                'pxl-light-mode' => esc_html__('Light Layous', 'bexpres'),
                'pxl-dark-mode'  => esc_html__('Dark Layous', 'bexpres'),
            ),
            'default'  => 'pxl-dark-mode',
        ),
        array(
            'id'          => 'primary_color',
            'type'        => 'color',
            'title'       => esc_html__('Primary Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'secondary_color',
            'type'        => 'color',
            'title'       => esc_html__('Secondary Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'third_color',
            'type'        => 'color',
            'title'       => esc_html__('Third Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'fourth_color',
            'type'        => 'color',
            'title'       => esc_html__('Fourth Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'fifth_color',
            'type'        => 'color',
            'title'       => esc_html__('Fifth Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'sixth_color',
            'type'        => 'color',
            'title'       => esc_html__('Sixth Color', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'      => 'link_color',
            'type'    => 'link_color',
            'title'   => esc_html__('Link Colors', 'bexpres'),
            'default' => array(
                'regular' => '',
                'hover'   => '',
                'active'  => ''
            ),
            'output'  => array('a')
        ),
        array(
            'id'          => 'gradient_color',
            'type'        => 'color_gradient',
            'title'       => esc_html__('Gradient Color', 'bexpres'),
            'transparent' => false,
            'default'  => array(
                'from' => '',
                'to'   => '', 
            ),
        ),
        array(
            'id'          => 'bg_light_color',
            'type'        => 'color',
            'title'       => esc_html__('Background Color - Light', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
        array(
            'id'          => 'bg_dark_color',
            'type'        => 'color',
            'title'       => esc_html__('Background Color - Dark', 'bexpres'),
            'transparent' => false,
            'default'     => ''
        ),
    )
));

/*--------------------------------------------------------------
# Header
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title'  => esc_html__('Header', 'bexpres'),
    'icon'   => 'el el-indent-left',
    'fields' => array_merge(
        bexpres_header_opts(),
        array(
            array(
                'id'       => 'sticky_scroll',
                'type'     => 'button_set',
                'title'    => esc_html__('Sticky Scroll', 'bexpres'),
                'options'  => array(
                    'pxl-sticky-stt' => esc_html__('Scroll To Top', 'bexpres'),
                    'pxl-sticky-stb'  => esc_html__('Scroll To Bottom', 'bexpres'),
                ),
                'default'  => 'pxl-sticky-stb',
            ),
        )
    )
));

Redux::setSection($opt_name, array(
    'title'      => esc_html__('Mobile', 'bexpres'),
    'icon'       => 'el el-picture',
    'subsection' => true,
    'fields'     => array_merge(
        bexpres_header_mobile_opts(),
        array(
            array(
                'id'       => 'logo_m',
                'type'     => 'media',
                'title'    => esc_html__('Logo Light', 'bexpres'),
                'default' => array(
                    'url'=>get_template_directory_uri().'/assets/img/logo-light.png'
                ),
                'url'      => false
            ),
            array(
                'id'       => 'logo_m_dark',
                'type'     => 'media',
                'title'    => esc_html__('Logo Dark', 'bexpres'),
                'default' => array(
                    'url'=>get_template_directory_uri().'/assets/img/logo-dark.png'
                ),
                'url'      => false
            ),
            array(
                'id'       => 'logo_height',
                'type'     => 'dimensions',
                'title'    => esc_html__('Logo Height', 'bexpres'),
                'width'    => false,
                'unit'     => 'px',
                'output'    => array('#pxl-header-default .pxl-header-branding img, .pxl-logo-mobile img'),
            ),
            array(
                'id'       => 'search_mobile',
                'type'     => 'switch',
                'title'    => esc_html__('Search Form', 'bexpres'),
                'default'  => true
            ),
            array(
                'id'       => 'header_fixed',
                'type'     => 'switch',
                'title'    => esc_html__('Header Fixed', 'bexpres'),
                'default'  => false,
            )
        )
    )
));

/*--------------------------------------------------------------
# Page Title area
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title'  => esc_html__('Page Title', 'bexpres'),
    'icon'   => 'el-icon-map-marker',
    'fields' => array_merge(
        bexpres_page_title_opts()        
    )
));


/*--------------------------------------------------------------
# Footer
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title'  => esc_html__('Footer', 'bexpres'),
    'icon'   => 'el el-website',
    'fields' => array_merge(
        bexpres_footer_opts(),
        array(
            array(
                'id'       => 'back_totop_on',
                'type'     => 'switch',
                'title'    => esc_html__('Button Back to Top', 'bexpres'),
                'default'  => false,
            ),
            array(
                'id'       => 'back_totop_text',
                'type'     => 'text',
                'title'    => esc_html__('Back To Top Text', 'bexpres'),
                'placeholder' => esc_html__('UP', 'bexpres' ),
                'required' => array( 0 => 'back_totop_on', 1 => 'equals', 2 => '1' ),
            ),
            array(
                'id'       => 'footer_fixed',
                'type'     => 'switch',
                'title'    => esc_html__('Footer Fixed', 'bexpres'),
                'default'  => false,
            )
        )
    )

));

/*--------------------------------------------------------------
# WordPress default content
--------------------------------------------------------------*/

Redux::setSection($opt_name, array(
    'title' => esc_html__('Blog Archive', 'bexpres'),
    'icon'  => 'el-icon-pencil',
    'fields'     => array_merge(
        bexpres_sidebar_pos_opts([ 'prefix' => 'blog_']),
        array(
            array(
                'id'       => 'archive_date',
                'title'    => esc_html__('Date', 'bexpres'),
                'subtitle' => esc_html__('Display the Date for each blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true,
            ),
            array(
                'id'       => 'archive_author',
                'title'    => esc_html__('Author', 'bexpres'),
                'subtitle' => esc_html__('Display the Author for each blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true,
            ),
            array(
                'id'       => 'archive_excerpts',
                'title'    => esc_html__('Excerpt', 'bexpres'),
                'subtitle' => esc_html__('Show Excerpt for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => false
            ),
            array(
                'id'      => 'archive_excerpt_length',
                'type'    => 'text',
                'title'   => esc_html__('Excerpt Length', 'bexpres'),
                'default' => '',
                'subtitle' => esc_html__('Default: 50', 'bexpres'),
                'required' => array( 0 => 'archive_excerpts', 1 => 'equals', 2 => '1' ),
            )
        )
    )
));

Redux::setSection($opt_name, array(
    'title'      => esc_html__('Single Post', 'bexpres'),
    'icon'       => 'el-icon-file-edit',
    'subsection' => true,
    'fields'     => array_merge(
        bexpres_sidebar_pos_opts([ 'prefix' => 'post_']),
        array(
            array(
                'id'       => 'sg_post_title',
                'type'     => 'button_set',
                'title'    => esc_html__('Page Title Type', 'bexpres'),
                'options'  => array(
                    'default' => esc_html__('Default', 'bexpres'),
                    'custom_text' => esc_html__('Custom Text', 'bexpres'),
                ),
                'default'  => 'default',
            ),
            array(
                'id'      => 'sg_post_title_text',
                'type'    => 'text',
                'title'   => esc_html__('Page Title Text', 'bexpres'),
                'default' => 'Blog Details',
                'required' => array( 0 => 'sg_post_title', 1 => 'equals', 2 => 'custom_text' ),
            ),
            array(
                'id'       => 'post_title',
                'title'    => esc_html__('Title', 'bexpres'),
                'subtitle' => esc_html__('Show Title on single post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true
            ),
            array(
                'id'       => 'post_date',
                'title'    => esc_html__('Date', 'bexpres'),
                'subtitle' => esc_html__('Display the Date for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true
            ),
            array(
                'id'       => 'post_author',
                'title'    => esc_html__('Author', 'bexpres'),
                'subtitle' => esc_html__('Display the Author for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true
            ),
            array(
                'id'       => 'post_navigation',
                'title'    => esc_html__('Navigation', 'bexpres'),
                'subtitle' => esc_html__('Display the Navigation for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
            ),
           
            array(
                'id'       => 'post_comment',
                'title'    => esc_html__('Comment Count', 'bexpres'),
                'subtitle' => esc_html__('Display the Comment for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true
            ),
            array(
                'id'       => 'post_view',
                'title'    => esc_html__('View Count', 'bexpres'),
                'subtitle' => esc_html__('Display the View for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => true
            ),
            array(
                'id'       => 'post_author_position',
                'title'    => esc_html__('Description Author', 'bexpres'),
                'type'     => 'text',
                'default'  => '',
                'indent' => true,
                'required' => array( 0 => 'post_social_share', 1 => 'equals', 2 => '1' ),
            ),
            array(
                'id' => 'social_section',
                'title' => esc_html__('Social', 'bexpres'),
                'type'  => 'section',
                'indent' => true,
            ),
            array(
                'id'       => 'post_social_share',
                'title'    => esc_html__('Social', 'bexpres'),
                'subtitle' => esc_html__('Display the Social Share for blog post.', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
            ),
            array(
                'id'       => 'social_facebook',
                'title'    => esc_html__('Facebook', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
                'indent' => true,
                'required' => array( 0 => 'post_social_share', 1 => 'equals', 2 => '1' ),
            ),
            array(
                'id'       => 'social_twitter',
                'title'    => esc_html__('Twitter', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
                'indent' => true,
                'required' => array( 0 => 'post_social_share', 1 => 'equals', 2 => '1' ),
            ),
            array(
                'id'       => 'social_pinterest',
                'title'    => esc_html__('Pinterest', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
                'indent' => true,
                'required' => array( 0 => 'post_social_share', 1 => 'equals', 2 => '1' ),
            ),
            array(
                'id'       => 'social_linkedin',
                'title'    => esc_html__('LinkedIn', 'bexpres'),
                'type'     => 'switch',
                'default'  => false,
                'indent' => true,
                'required' => array( 0 => 'post_social_share', 1 => 'equals', 2 => '1' ),
            ),
        )
)
));

Redux::setSection($opt_name, array(
    'title'      => esc_html__('Extra Post Type', 'bexpres'),
    'icon'       => 'el el-briefcase',
    'fields'     => array(
        array(
            'title' => esc_html__('Service', 'bexpres'),
            'type'  => 'section',
            'id' => 'post_service',
            'indent' => true,
        ),
        array(
            'id'      => 'service_slug',
            'type'    => 'text',
            'title'   => esc_html__('Service Slug', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: service',
        ),
        array(
            'id'      => 'service_name',
            'type'    => 'text',
            'title'   => esc_html__('Service Name', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: Service',
        ),
        array(
            'id'      => 'service_category_slug',
            'type'    => 'text',
            'title'   => esc_html__('Service Category Slug', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: service-category',
        ),
        array(
            'id'      => 'service_category_name',
            'type'    => 'text',
            'title'   => esc_html__('Service Category Name', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: Service Categories',
        ),
        array(
            'id'    => 'archive_service_link',
            'type'  => 'select',
            'title' => esc_html__( 'Custom Archive Page Link', 'bexpres' ),
            'data'  => 'page',
            'args'  => array(
                'post_type'      => 'page',
                'posts_per_page' => -1,
                'orderby'        => 'title',
                'order'          => 'ASC',
            ),
        ),
    )
));

Redux::setSection($opt_name, array(
    'title'      => esc_html__('Post Type Portfolio', 'bexpres'),
    'icon'       => 'el el-file-edit',
    'subsection' => true,
    'fields'     => array(
        array(
            'title' => esc_html__('Portfolio', 'bexpres'),
            'type'  => 'section',
            'id' => 'post_portfolio',
            'indent' => true,
        ),
        array(
            'id'       => 'portfolio_navigation',
            'title'    => esc_html__('Navigation', 'bexpres'),
            'subtitle' => esc_html__('Display the Navigation for portfolio post.', 'bexpres'),
            'type'     => 'switch',
            'default'  => false,
        ),
        array(
            'id'       => 'portfolio_nav_link',
            'type'     => 'text',
            'title'    => esc_html__('Navigation Button Link', 'bexpres'),
            'subtitle' => esc_html__('Enter navigation middle button link.', 'bexpres'),
            'default'  => '#',
            'required' => array( 0 => 'portfolio_navigation', 1 => 'equals', 2 => '1' ),
        ),
        array(
            'id'       => 'portfolio_nav_text',
            'type'     => 'text',
            'title'    => esc_html__('Text caption', 'bexpres'),
            'subtitle' => esc_html__('Text caption middle button link on hover.', 'bexpres'),
            'placeholder' => esc_html__('Show All Projects', 'bexpres' ),
            'required' => array( 0 => 'portfolio_navigation', 1 => 'equals', 2 => '1' ),
        ),
        array(
            'id'       => 'projects_related',
            'title'    => esc_html__('Related Projects', 'bexpres'),
            'subtitle' => esc_html__('Show Related Projects for portfolio post.', 'bexpres'),
            'type'     => 'switch',
            'default'  => false,
        ),
        array(
            'id'       => 'projects_related_title',
            'type'     => 'text',
            'title'    => esc_html__('Related Projects Title Text', 'bexpres'),
            'placeholder' => esc_html__('PROJECT CONCEPT', 'bexpres' ),
            'required' => array( 0 => 'projects_related', 1 => 'equals', 2 => '1' ),
        ),
        array(
            'id'      => 'portfolio_slug',
            'type'    => 'text',
            'title'   => esc_html__('Portfolio Slug', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: portfolio',
        ),
        array(
            'id'      => 'portfolio_name',
            'type'    => 'text',
            'title'   => esc_html__('Portfolio Name', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: Portfolio',
        ),
        array(
            'id'      => 'portfolio_category_slug',
            'type'    => 'text',
            'title'   => esc_html__('Portfolio Category Slug', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: portfolio-category',
        ),
        array(
            'id'      => 'portfolio_category_name',
            'type'    => 'text',
            'title'   => esc_html__('Portfolio Category Name', 'bexpres'),
            'default' => '',
            'desc'     => 'Default: Portfolio Categories',
        ),
        array(
            'id'    => 'archive_portfolio_link',
            'type'  => 'select',
            'title' => esc_html__( 'Custom Archive Page Link', 'bexpres' ),
            'data'  => 'page',
            'args'  => array(
                'post_type'      => 'page',
                'posts_per_page' => -1,
                'orderby'        => 'title',
                'order'          => 'ASC',
            ),
        ),
    )
));

/*--------------------------------------------------------------
# Woocommerce
--------------------------------------------------------------*/
if(class_exists('Woocommerce')) {
    Redux::setSection($opt_name, array(
        'title' => esc_html__('Woocommerce', 'bexpres'),
        'icon'  => 'el el-shopping-cart',
        'fields'     => array_merge(
            bexpres_sidebar_pos_opts([ 'prefix' => 'shop_']),
            array(
                array(
                    'title'         => esc_html__('Products displayed per row', 'bexpres'),
                    'id'            => 'products_columns',
                    'type'          => 'slider',
                    'subtitle'      => esc_html__('Number product to show per row', 'bexpres'),
                    'default'       => 4,
                    'min'           => 2,
                    'step'          => 1,
                    'max'           => 6,
                    'display_value' => 'text'
                ),
                array(
                    'title'         => esc_html__('Products displayed per page', 'bexpres'),
                    'id'            => 'product_per_page',
                    'type'          => 'slider',
                    'subtitle'      => esc_html__('Number product to show', 'bexpres'),
                    'default'       => 12,
                    'min'           => 3,
                    'step'          => 1,
                    'max'           => 50,
                    'display_value' => 'text'
                ),
            ),
            bexpres_shop_opts()
        )
    ));

    Redux::setSection($opt_name, array(
        'title'      => esc_html__('Single Product', 'bexpres'),
        'icon'       => 'el el-shopping-cart',
        'subsection' => true,
        'fields'     => array_merge(
            bexpres_sidebar_pos_opts([ 'prefix' => 'product_']),
            array(
                array(
                    'id'       => 'product_title',
                    'type'     => 'switch',
                    'title'    => esc_html__('Product Title', 'bexpres'),
                    'default'  => true
                ),
                array(
                    'id'       => 'product_social_share',
                    'type'     => 'switch',
                    'title'    => esc_html__('Social Share', 'bexpres'),
                    'default'  => false
                ),
                array(
                    'id'       => 'product_related',
                    'title'    => esc_html__('Product Related', 'bexpres'),
                    'subtitle' => esc_html__('Show/Hide related product', 'bexpres'),
                    'type'     => 'switch',
                    'default'  => '1',
                ),
                array(
                    'id'      => 'product_related_title',
                    'type'    => 'text',
                    'title'   => esc_html__('Related Title', 'bexpres'),
                    'default' => '',
                    'placeholder' => esc_html__('Related Products', 'bexpres'),
                    'required' => array( 0 => 'product_related', 1 => 'equals', 2 => '1' ),
                ),
                array(
                    'id'       => 'product_variation_style',
                    'type'     => 'button_set',
                    'title'    => esc_html__('Product Variation Style', 'bexpres'),
                    'subtitle' => esc_html__('Dropdown or selected list', 'bexpres'),
                    'options' => array(
                        'dropdown'  => esc_html__('Dropdown', 'bexpres'),
                        'list' => esc_html__('List', 'bexpres')
                    ),
                    'default' => 'dropdown'
                ),
            ),
            bexpres_shop_single_opts()
        )
    ));
}
/*--------------------------------------------------------------
# Typography
--------------------------------------------------------------*/
Redux::setSection($opt_name, array(
    'title'  => esc_html__('Typography', 'bexpres'),
    'icon'   => 'el-icon-text-width',
    'fields' => array(
        array(
            'id'          => 'font_body',
            'type'        => 'typography',
            'title'       => esc_html__('Body', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'line-height'  => true,
            'font-size'  => true,
            'text-align'  => false,
            'output'      => array('body'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h1',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 1', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h1'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h2',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 2', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h2'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h3',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 3', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h3'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h4',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 4', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h4'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h5',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 5', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h5'),
            'units'       => 'px',
        ),
        array(
            'id'          => 'font_h6',
            'type'        => 'typography',
            'title'       => esc_html__('Heading 6', 'bexpres'),
            'google'      => true,
            'font-backup' => true,
            'all_styles'  => true,
            'text-align'  => false,
            'output'      => array('h6'),
            'units'       => 'px',
        ),
    )
));