<?php
/**
 * Template part for displaying posts in loop
 *
 * @package Bravisthemes
 */
$post_author_box_info = bexpres()->get_theme_opt( 'post_author_box_info', true );
$post_title = bexpres()->get_theme_opt( 'post_title', true );
$post_social_share = bexpres()->get_theme_opt( 'post_social_share', false );
$align_content_post = bexpres()->get_page_opt( 'align_content_post', 'content-left' );
$post_feature_image_on = bexpres()->get_page_opt( 'post_feature_image_on', true );
$post_title_on = bexpres()->get_page_opt( 'post_title_on', true );
$post_navigation = bexpres()->get_theme_opt( 'post_navigation', false );
$post_tag = bexpres()->get_theme_opt( 'post_tag', true );
$tags_list = get_the_tag_list();

$post_author_position = bexpres()->get_theme_opt( 'post_author_position', '');

?>
<article id="pxl-post-<?php the_ID(); ?>" <?php post_class( 'pxl-item-single-post'.' '.$align_content_post ); ?>>
    <div class="pxl-item--post">        
        <?php if($post_title && $post_title_on) { ?>
            <h3 class="pxl-item--title"><?php the_title(); ?></h3>
        <?php } ?>
        <?php bexpres()->blog->get_post_blog_metas(); ?>
        <div class="pxl-item--holder">
            <div class="pxl-item--content clearfix">
                <?php
                the_content();
                wp_link_pages( array(
                    'before'      => '<div class="page-links">',
                    'after'       => '</div>',
                    'link_before' => '<span>',
                    'link_after'  => '</span>',
                ) );
                ?>
            </div>
        </div>
        <?php if($post_navigation) { bexpres()->blog->get_post_nav(); } ?>
        <?php if($post_social_share ) :  ?>
            <div class="pxl--post-footer">                
                <?php if($post_social_share) { bexpres()->blog->get_socials_share(); } ?>
                <?php if($post_tag) { bexpres()->blog->get_tagged_in(); } ?>
            </div>
        <?php endif; ?>
        <?php if($post_author_box_info) : ?>
           <div class="pxl-author--info">
                <div class="entry-author-avatar">
                    <?php echo get_avatar( get_the_author_meta( 'ID' ), 160 ); ?>
                </div>
                <div class="entry-author-meta">
                    <h5 class="author-name">
                        <?php the_author_posts_link(); ?>
                    </h5>
                    <?php if(!empty($post_author_position)) : ?>
                        <div class="author-description">
                            <?php echo esc_attr( $post_author_position ); ?>
                        </div>
                    <?php endif; ?>
                </div>
                <div class="pxl-icon-author">
                <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                    <g clip-path="url(#clip0_434_8186)">
                    <path d="M11.025 0.672363H13.1728L8.48167 6.03261L14 13.3278H9.68042L6.29475 8.90436L2.42492 13.3278H0.273583L5.29025 7.59303L0 0.672363H4.42925L7.4865 4.71545L11.025 0.672363ZM10.2708 12.0439H11.4602L3.78117 1.8892H2.50367L10.2708 12.0439Z" fill="white" fill-opacity="1"/>
                    </g>
                    <defs>
                    <clipPath id="clip0_434_8186">
                    <rect width="14" height="14" fill="white"/>
                    </clipPath>
                    </defs>
                </svg>
                </div>
            </div> 
        <?php endif; ?>
    </div>
</article>
