<?php
/**
 * @author  rs-theme
 * @since   1.0
 * @version 1.0 
 */

if ( post_password_required() ) {
	return;
}

$show_comments_title = get_query_var('show_comments_title', true);

?>
<div id="comments" class="comments-area">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) : ?>
		<?php if ( $show_comments_title ) { ?>
			<h3 class="comments-title">
				<?php
					$comment_count = get_comments_number();
					if ( 1 === $comment_count ) {
						printf(
							/* translators: 1: title. */
							esc_html__( 'One comments on &ldquo;%1$s&rdquo;', 'logitic' ),
							'<span>' . get_the_title() . '</span>'
						);
					} else {
						printf( // WPCS: XSS OK.
							/* translators: 1: comment count number, 2: title. */
							esc_html( _nx( '%1$s comment on &ldquo;%2$s&rdquo;', '%1$s comments on &ldquo;%2$s&rdquo;', $comment_count, 'comments title', 'logitic' ) ),
							number_format_i18n( $comment_count ),
							'<span>' . get_the_title() . '</span>'
						);
					}
				?>
			</h3><!-- .comments-title -->
		<?php } ?>

		<?php the_comments_navigation(); ?>
		<ol class="comment-list">
			<?php
				wp_list_comments( array(
					'style'      => 'ol',
					'short_ping' => true,
					'avatar_size' => 70,
				) );
			?>
		</ol><!-- .comment-list -->
		<?php the_comments_navigation();
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) : ?>
			<p class="no-comments"><?php esc_html__( 'Comments are closed.', 'logitic' ); ?></p>
		<?php
		endif;
	endif; // Check for have_comments().

	comment_form();
?>

</div><!-- #comments -->

