<?php
function logitic_sticky_style_panel($logitic_customizer, $priority)
{
    $logitic_customizer->add_section('logitic_sticky_style_setting', array(
        'title' => esc_html__('Sticky Menu Settings', 'logitic'),
        'priority' => $priority,
        'panel' => 'logitic_options_panel',
    ));

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_bg_color',
            array(
                'label' => esc_html__('Sticky Menu Background Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_bg_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_0',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_0',
            array(
                'label' => esc_html__('Menu', 'logitic'),
                'settings' => 'sticky_menu_hr_0',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_text_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_text_color',
            array(
                'label' => esc_html__('Menu Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_text_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_1',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_1',
            array(
                'settings' => 'sticky_menu_hr_1',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_text_hover_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_text_hover_color',
            array(
                'label' => esc_html__('Menu Hover Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_text_hover_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_2',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_2',
            array(
                'settings' => 'sticky_menu_hr_2',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_text_archive_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_text_archive_color',
            array(
                'label' => esc_html__('Menu Active Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_text_archive_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_3',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_3',
            array(
                'settings' => 'sticky_menu_hr_3',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_dropdown_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_dropdown_bg_color',
            array(
                'label' => esc_html__('Dropdown Menu Background Color', 'logitic'),
                'description' => esc_html__('Pick bg color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_dropdown_bg_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_4',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_4',
            array(
                'settings' => 'sticky_menu_hr_4',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_dropdown_text_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_dropdown_text_color',
            array(
                'label' => esc_html__('Dropdown Menu Color', 'logitic'),
                'description' => esc_html__('Pick text color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_dropdown_text_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_5',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_5',
            array(
                'settings' => 'sticky_menu_hr_5',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Body Background Color
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_dropdown_hover_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_dropdown_hover_color',
            array(
                'label' => esc_html__('Dropdown Menu Hover Color', 'logitic'),
                'description' => esc_html__('Pick text color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_dropdown_hover_color',
            )
        )
    );
    //End Body Background Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_6',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_6',
            array(
                'settings' => 'sticky_menu_hr_6',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start
    $logitic_customizer->add_setting(
        'logitic_sticky_menu_dropdown_hover_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_menu_dropdown_hover_bg_color',
            array(
                'label' => esc_html__('Dropdown Menu Hover Background Color', 'logitic'),
                'description' => esc_html__('Pick text color', 'logitic'),
                'section' => 'logitic_sticky_style_setting',
                'settings' => 'logitic_sticky_menu_dropdown_hover_bg_color',
            )
        )
    );
    //End

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_7',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_7',
            array(
                'settings' => 'sticky_menu_hr_7',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_sign_in_text_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_sign_in_text_color',
            array(
                'label'      => esc_html__('Text Color','logitic'),
                'description'      => esc_html__('Select Text Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_sign_in_text_color',
            )
        )
    );
	//End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_8',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_8',
            array(
                'settings' => 'sticky_menu_hr_8',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_sign_in_text_hover_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_sign_in_text_hover_color',
            array(
                'label'      => esc_html__('Hover Color','logitic'),
                'description'      => esc_html__('Select Hover Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_sign_in_text_hover_color',
            )
        )
    );
	//End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_9',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_9',
            array(
                'settings' => 'sticky_menu_hr_9',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_download_border_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_download_border_color',
            array(
                'label'      => esc_html__('Button Border Color','logitic'),
                'description'      => esc_html__('Select Button Border Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_download_border_color',
            )
        )
    );
	//End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_10',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_10',
            array(
                'settings' => 'sticky_menu_hr_10',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_download_text_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_download_text_color',
            array(
                'label'      => esc_html__('Button Link Color','logitic'),
                'description'      => esc_html__('Select text Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_download_text_color',
            )
        )
    );
	//End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_11',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_11',
            array(
                'settings' => 'sticky_menu_hr_11',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
    $logitic_customizer->add_setting (
        'logitic_sticky_download_text_hover_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_download_text_hover_color',
            array(
                'label'      => esc_html__('Button Link Hover Color','logitic'),
                'description'      => esc_html__('Select Text Hover Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_download_text_hover_color',
            )
        )
    );
    //End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_12',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_12',
            array(
                'settings' => 'sticky_menu_hr_12',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator
    
    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_download_btn_bg_color',
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_download_btn_bg_color',
            array(
                'label'      => esc_html__('Button Background Color','logitic'),
                'description'      => esc_html__('Select Button Hover Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_download_btn_bg_color',
            )
        )
    );
	//End Color

    //Start separator
    $logitic_customizer->add_setting(
        'sticky_menu_hr_13',
        array(
            'default' => '',
            'sanitize_callback' => 'esc_html',
        )
    );
    $logitic_customizer->add_control(
        new logitic_Separator_Control(
            $logitic_customizer,
            'sticky_menu_hr_13',
            array(
                'settings' => 'sticky_menu_hr_13',
                'section' => 'logitic_sticky_style_setting',
            )
        )
    );
    //End separator

    //Start Color
	$logitic_customizer->add_setting (
        'logitic_sticky_download_btn_hover_color',
        array(
            'default'     => ''
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_sticky_download_btn_hover_color',
            array(
                'label'      => esc_html__('Button Background Hover Color','logitic'),
                'description'      => esc_html__('Select Button Hover Color','logitic'),
                'section'    => 'logitic_sticky_style_setting',
                'settings'   => 'logitic_sticky_download_btn_hover_color',
            )
        )
    );
	//End Color
}
