<?php
if ( ! empty( $settings['btn_link']['url'] ) ) {
    $widget->add_render_attribute( 'btn_link', 'href', $settings['btn_link']['url'] );

    if ( $settings['btn_link']['is_external'] ) {
        $widget->add_render_attribute( 'btn_link', 'target', '_blank' );
    }
    if ( $settings['btn_link']['nofollow'] ) {
        $widget->add_render_attribute( 'btn_link', 'rel', 'nofollow' );
    }
}

$is_new = \Elementor\Icons_Manager::is_migration_allowed(); 
$is_new2 = \Elementor\Icons_Manager::is_migration_allowed(); 
?>
<div class="pxl-box-blog <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <div class="pxl-item--inner">
        <div class="pxl-item--icon">
            <?php if (!empty($settings['pxl_icon'])) : ?>
                <div class="pxl-item--icon1">
                    <?php if (isset($is_new) && $is_new) :
                        \Elementor\Icons_Manager::render_icon($settings['pxl_icon'], ['aria-hidden' => 'true']);
                    elseif (!empty($settings['pxl_icon'])) : ?>
                        <i class="<?php echo esc_attr($settings['pxl_icon']); ?>" aria-hidden="true"></i>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            <span class="pxl-category"><?php echo esc_html($settings['category']); ?></span>
            <span class="pxl-date"><?php echo esc_html($settings['date']); ?></span>
        </div>
        <?php if (!empty($settings['title'])) : ?>
            <div class="pxl-title"><?php echo esc_html($settings['title']); ?></div>
        <?php endif; ?>
        <div class="pxl-excerpt">
            <?php if (!empty($settings['pxl_icon2'])) : ?>
                <div class="pxl-item--icon2">
                    <?php if (isset($is_new2) && $is_new2) :
                        \Elementor\Icons_Manager::render_icon($settings['pxl_icon2'], ['aria-hidden' => 'true']);
                    elseif (!empty($settings['pxl_icon2'])) : ?>
                        <i class="<?php echo esc_attr($settings['pxl_icon2']); ?>" aria-hidden="true"></i>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            <div class="pxl--item"><?php echo esc_html($settings['excerpt']); ?></div>
        </div>
        <div class="pxl-content"><?php echo esc_html($settings['content']); ?></div>
        <?php if (!empty($settings['button_text'])) : ?>
            <?php
            $link_key = 'btn_link';  
            $link_attributes = $widget->get_render_attribute_string($link_key);
            ?>
            <div class="pxl-button">
                <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                    <?php echo esc_html($settings['button_text']); ?>
                    <span>
                    <svg xmlns="http://www.w3.org/2000/svg" width="6" height="8" viewBox="0 0 6 8" fill="none">
                        <path d="M1 0.5L5 4L1 7.5" stroke="white" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                    </span>
                </a>
            </div>
        <?php endif; ?>
    </div>
</div>