<?php
$is_new = \Elementor\Icons_Manager::is_migration_allowed();
if(isset($settings['icons']) && !empty($settings['icons']) && count($settings['icons'])): ?>
    <div class="pxl-icon-box "> 
        <div class="inner-layout wow <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
            <?php foreach ($settings['icons'] as $key => $value):
                $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
                $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
                $readmore = isset($value['readmore']) ? $value['readmore'] : '';
                $title = isset($value['title']) ? $value['title'] : '';
                $content = isset($value['content']) ? $value['content'] : '';
                $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
                $widget->add_render_attribute( $icon_key, [
                    'class' => $value['pxl_icon'],
                    'aria-hidden' => 'true',
                ] );
                $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
                if ( ! empty( $value['icon_link']['url'] ) ) {
                    $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                    if ( $value['icon_link']['is_external'] ) {
                        $widget->add_render_attribute( $link_key, 'target', '_blank' );
                    }

                    if ( $value['icon_link']['nofollow'] ) {
                        $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                    }
                }
                $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
                <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                    <?php if ( $is_new ):
                        \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                    elseif(!empty($value['pxl_icon'])): ?>
                    <div class="pxl-icon">
                        <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                    </div>
                    <?php endif; ?>
                    <div class="pxl-title">
                        <?php if (!empty($title)) {echo pxl_print_html($title);} ?>
                    </div>
                    <div class="pxl-content">
                        <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                    </div>
                    <div class="pxl-button">
                        <a class="elementor-repeater-item-<?php echo esc_attr($value['_id']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> >
                            <?php if (!empty($readmore)) {echo pxl_print_html($readmore);} ?>
                        </a>
                        <i>
                            <svg xmlns="http://www.w3.org/2000/svg" width="6" height="8" viewBox="0 0 6 8" fill="none">
                                <path d="M1 0.5L5 4L1 7.5" stroke="#113741" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
                            </svg>
                        </i>
                    </div>
                <?php endif; ?>
                <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                $img_icon  = pxl_get_image_by_size( array(
                    'attach_id'  => $icon_image['id'],
                    'thumb_size' => 'full',
                ) );
                $thumbnail_icon    = $img_icon['thumbnail']; ?>
                <div class="pxl-image">
                    <?php echo pxl_print_html($thumbnail_icon); ?>
                </div>
                <div class="pxl-title">
                    <?php if (!empty($title)) {echo pxl_print_html($title);} ?>
                </div>
                <div class="pxl-content">
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </div>
                    <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                        <?php if (!empty($readmore)) {echo pxl_print_html($readmore);} ?>
                    </a>
            <?php endif; ?>              
        <?php endforeach; ?>
    </div>
</div>
<?php endif; ?>