<?php
$editor_title = $widget->get_settings_for_display( 'title' );
$editor_title = $widget->parse_text_editor( $editor_title );

if ( ! empty( $settings['title_link']['url'] ) ) {
    $widget->add_render_attribute( 'title_link', 'href', $settings['title_link']['url'] );

    if ( $settings['title_link']['is_external'] ) {
        $widget->add_render_attribute( 'title_link', 'target', '_blank' );
    }

    if ( $settings['title_link']['nofollow'] ) {
        $widget->add_render_attribute( 'title_link', 'rel', 'nofollow' );
    }
}

$img_size = '';
if(!empty($settings['img_size'])) {
    $img_size = $settings['img_size'];
} else {
    $img_size = 'full';
}
?>
<div class="pxl-showcase layout1 <?php if($settings['scroll_effect'] == 'true') { echo 'pxl-showcase-scroll'; } ?> <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
    <div class="pxl-item--inner pxl-image-tilt">
        <?php if (!empty($settings['image']['url'])) : ?>
            <div class="pxl-item--image">
                <a class="image--link" <?php pxl_print_html($widget->get_render_attribute_string( 'title_link' )); ?>>
                    <?php if(!empty($settings['image']['id'])) :
                        $img = pxl_get_image_by_size( array(
                            'attach_id'  => $settings['image']['id'],
                            'thumb_size' => $img_size,
                            'class' => 'image-light no-lazyload',
                        ));
                        $thumbnail = $img['thumbnail']; ?>
                        <div class="item--image image-light"><?php echo wp_kses_post($thumbnail); ?></div>
                    <?php endif; ?>
                </a>
               
            </div>
        <?php endif; ?>
        <?php if (!empty($settings['title'])) : ?>
            <div class="pxl-item--title">
                <?php if(!empty($settings['title_link']['url'])) { ?><a <?php pxl_print_html($widget->get_render_attribute_string('title_link')); ?>><?php } ?>
                <?php echo wp_kses_post($editor_title); ?>
                <?php if(!empty($settings['title_link']['url'])) { ?></a><?php } ?>
            </div>
        <?php endif; ?>
    </div>
</div>