<?php
$styleMappings = array(
    'style1' => 'service-path.png.jpg',
    'style' => 'webgl-01.jpg',
);
$is_new = \Elementor\Icons_Manager::is_migration_allowed(); 
if ( ! empty( $settings['video_link']['url'] ) ) {
    $widget->add_render_attribute( 'video_link', 'href', $settings['video_link']['url'] );

    if ( $settings['video_link']['is_external'] ) {
        $widget->add_render_attribute( 'video_link', 'target', '_blank' );
    }

    if ( $settings['video_link']['nofollow'] ) {
        $widget->add_render_attribute( 'video_link', 'rel', 'nofollow' );
    }
}
$follow = $widget->get_settings_for_display( 'follow' );
$follow = $widget->parse_text_editor( $follow );

$imgds = isset($styleMappings[$settings['effect_style']]) ? $styleMappings[$settings['effect_style']] : '';

$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$divider = $widget->get_setting('divider', false);  
$arrows_style = $widget->get_setting('arrows_style','style1');
$pagination = $widget->get_setting('pagination', false);
$pagination_type = $widget->get_setting('pagination_type', 'bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$slide_mode = $widget->get_setting('slide_mode','fade');
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$center = $widget->get_setting('center', false);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => $slide_mode, 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'center'                        => $center,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed,
    'parallax'                      => 'true'
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
if(isset($settings['slider2']) && !empty($settings['slider2']) && count($settings['slider2'])): ?>
    <div class="pxl-swiper-sliders pxl-slider-carousel pxl-slider-carousel4 pxl-parent-cursor pxl-parent-transition pxl-swiper-arrow-show <?php if($settings['effect_slide'] == 'true') { echo 'pxl-slider-carousel-effect'; } ?> <?php if($slide_mode == 'slide') { echo 'pxl-slider-carousel-slide'; } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>">
        <div class="pxl-carousel-inner">
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <div class="pxl-swiper-wrapper">
                    <?php foreach ($settings['slider2'] as $key => $value):
                        $image_light = isset($value['image4']) ? $value['image4'] : '';                        
                        $sub_text = isset($value['sub_text4']) ? $value['sub_text4'] : '';
                        $title = isset($value['title4']) ? $value['title4'] : '';
                        $desc = isset($value['desc4']) ? $value['desc4'] : '';
                        $btn1 = isset($value['button_text1']) ? $value['button_text1'] : '';
                        $btn2 = isset($value['button_text2']) ? $value['button_text2'] : '';
                        $link1 = isset($value['btn_link2']) ? $value['btn_link2'] : '';
                        $link = isset($value['btn_link4']) ? $value['btn_link4'] : '';
                        $link_key = $widget->get_repeater_setting_key( 'title', 'value', $key );
                        if ( ! empty( $link['url'] ) ) {
                            $widget->add_render_attribute( $link_key, 'href', $link['url'] );

                            if ( $link['is_external'] ) {
                                $widget->add_render_attribute( $link_key, 'target', '_blank' );
                            }

                            if ( $link['nofollow'] ) {
                                $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes = $widget->get_render_attribute_string( $link_key );
                        $link_key1 = $widget->get_repeater_setting_key( 'desc', 'value2', $key );
                        if ( ! empty( $link1['url'] ) ) {
                            $widget->add_render_attribute( $link_key1, 'href', $link1['url'] );

                            if ( $link1['is_external'] ) {
                                $widget->add_render_attribute( $link_key1, 'target', '_blank' );
                            }

                            if ( $link1['nofollow'] ) {
                                $widget->add_render_attribute( $link_key1, 'rel', 'nofollow' );
                            }
                        }
                        $link_attributes1 = $widget->get_render_attribute_string( $link_key1 );
                        ?>
                        <div class="pxl-swiper-slide">
                            <?php if ($slide_mode == 'slide') {
                                echo '<div class="swiper-slide-inner" data-swiper-parallax="100%">';
                            } ?>
                            <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                                <?php if ( !empty($settings['shape_one']['id']) ) :                                
                                    $img_icon_one  = pxl_get_image_by_size( array(
                                        'attach_id'  => $settings['shape_one']['id'],
                                        'thumb_size' => 'full',
                                    ) );
                                    $thumbnail_one = $img_icon_one['thumbnail']; ?>
                                    <div class="pxl-item-layer pxl-item-layer-one">
                                        <?php echo pxl_print_html($thumbnail_one); ?>
                                        <div class="pxl-overlay"></div>
                                    </div>
                                <?php endif; ?>
                                <?php if ( !empty($settings['shape_two']['id']) ) :                                
                                    $img_icon_two  = pxl_get_image_by_size( array(
                                        'attach_id'  => $settings['shape_two']['id'],
                                        'thumb_size' => 'full',
                                    ) );
                                    $thumbnail_two = $img_icon_two['thumbnail']; ?>
                                    <div class="pxl-item-layer pxl-item-layer-two">
                                        <?php echo pxl_print_html($thumbnail_two); ?>
                                    </div>
                                <?php endif; ?>
                                <div class="pxl-item--content">
                                    <div class="content--inner pxl-transtion">
                                        <div class="content--wrapper">
                                            <div class="pxl-item--icon">
                                                    <?php if (!empty($settings['pxl_icon'])) : ?>
                                                            <?php if (isset($is_new) && $is_new) :
                                                                \Elementor\Icons_Manager::render_icon($settings['pxl_icon'], ['aria-hidden' => 'true']);
                                                            elseif (!empty($settings['pxl_icon'])) : ?>
                                                                <i class="<?php echo esc_attr($settings['pxl_icon']); ?>" aria-hidden="true"></i>
                                                            <?php endif; ?>
                                                        <?php endif; ?>
                                                </div>
                                            <?php if(!empty($title)) : ?>
                                                <h2 class="pxl-item--title el-empty pxl-transtion" data-text="<?php echo esc_attr($title); ?>"><?php echo pxl_print_html($title); ?></h2>
                                            <?php endif; ?>
                                            
                                            <?php if(!empty($desc)) : ?>
                                                <div class="pxl-item--desc pxl-transtion" data-text="<?php echo esc_attr($desc); ?>"><?php echo pxl_print_html($desc); ?></div>
                                            <?php endif; ?>
                                            <div class="pxl-item--link">
                                                <?php if ( !empty( $link['url'] ) ) { ?>
                                                    <a class="item--button btn btn-line pxl-transtion btn-first" <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                                                        <span class="btn-text">
                                                            <?php if(!empty($btn1)) {
                                                                echo pxl_print_html($btn1);
                                                            } else {
                                                                echo pxl_print_html('VIEW DETAILS', 'bexpres');
                                                            } ?>
                                                        </span>
                                                                <span class="button-arrow-hover1"><svg xmlns="http://www.w3.org/2000/svg" width="6" height="8" viewBox="0 0 6 8" fill="none">
                                                                <path d="M1 0.5L5 4L1 7.5" stroke="#113741" stroke-miterlimit="10" stroke-linecap="round" stroke-linejoin="round"/>
                                                                </svg></span>
                                                                </a>
                                            <?php } ?>
                                            <?php if ( !empty( $link1['url'] ) ) { ?>
                                                <a class="item--button btn btn-line pxl-transtion btn-video pxl-action-popup" <?php echo implode( ' ', [ $link_attributes1 ] ); ?>>
                                                    <span class="btn-text">
                                                        <?php if(!empty($btn2)) {
                                                            echo pxl_print_html($btn2);
                                                        }?>
                                                    </span>
                                                    <span class="button-arrow-hover2">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="15" height="23" viewBox="0 0 15 23" fill="none">
                                                            <path d="M1 21V1L13.5 10L1 21Z" stroke="white"/>
                                                        </svg>
                                                    </span>
                                              </a>                                             
                                          <?php } ?>
                                        </div>
                                        <?php if(!empty($sub_text)) : ?>
                                            <div class="pxl-item--subtitle " data-text="<?php echo esc_attr($sub_text); ?>"><?php echo pxl_print_html($sub_text); ?></div>
                                        <?php endif; ?>
                                  </div>
                              </div>
                          </div>
                          <?php if ( !empty($image_light['id']) ) :
                            $site_title = get_bloginfo( 'name' );                                    
                            $img_icon  = pxl_get_image_by_size( array(
                                'attach_id'  => $image_light['id'],
                                'thumb_size' => 'full',
                            ) );
                            $thumbnail = $img_icon['thumbnail'];
                            $thumbnail_url = $img_icon['url']; ?>
                            <div class="item--featured" style="background-image: url(<?php echo esc_url($thumbnail_url); ?>);">
                                <?php echo pxl_print_html($thumbnail); ?>
                            </div>
                            
                        <?php endif; ?>
                    </div>
                    <?php if ($slide_mode == 'slide') {
                        echo '</div>';
                    } ?>
                </div>
            <?php endforeach; ?>
        </div>
    </div>
    <?php if($arrows == true): ?>
        <div class="wp-arrow" data-cursor="-hidden">
         <?php if ($pagination !== false): ?>
        <div class="pxl-swiper-dots "></div>
            <?php endif; ?>
        </div>
        <div class="wp-arrow <?php echo esc_attr($arrows_style); ?>" data-cursor="-hidden">
            
            <div class="pxl-swiper-arrow pxl-swiper-arrow-next">
        <span class="circle"></span>
        
    </div>
    </div>
   <?php endif; ?>
   <?php if(!empty($settings['social_icon'])): ?>
    <div class="pxl-item--follow">
    <div class="pxl-follow" data-text="<?php echo esc_attr($follow); ?>"><?php echo pxl_print_html($follow); ?></div>
    <div class="pxl-line"></div>
    <div class="pxl-item--social">
        <?php
        $is_new = \Elementor\Icons_Manager::is_migration_allowed();
        foreach ($settings['social_icon'] as $key => $value): 
            $icon_type = isset($value['icon_type']) ? $value['icon_type'] : '';
            $icon_image = isset($value['icon_image']) ? $value['icon_image'] : '';
            $icon_key = $widget->get_repeater_setting_key( 'pxl_icon', 'icons', $key );
            $widget->add_render_attribute( $icon_key, [
                'class' => $value['pxl_icon'],
                'aria-hidden' => 'true',
            ] );
            $link_key = $widget->get_repeater_setting_key( 'icon_link', 'value', $key );
            if ( ! empty( $value['icon_link']['url'] ) ) {
                $widget->add_render_attribute( $link_key, 'href', $value['icon_link']['url'] );

                if ( $value['icon_link']['is_external'] ) {
                    $widget->add_render_attribute( $link_key, 'target', '_blank' );
                }

                if ( $value['icon_link']['nofollow'] ) {
                    $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                }
            }
            $link_attributes = $widget->get_render_attribute_string( $link_key ); ?>
            <?php if ( $icon_type == 'icon' && ! empty( $value['pxl_icon'] ) ) : ?>
                <a class="elementor-repeater-item-<?php echo esc_attr($value['_id'].' '.$settings['pxl_animate']); ?>" <?php echo implode( ' ', [ $link_attributes ] ); ?> data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                    <?php if ( $is_new ):
                        \Elementor\Icons_Manager::render_icon( $value['pxl_icon'], [ 'aria-hidden' => 'true' ] );
                    elseif(!empty($value['pxl_icon'])): ?>
                        <i class="<?php echo esc_attr( $value['pxl_icon'] ); ?>" aria-hidden="true"></i>
                    <?php endif; ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>
            <?php if ( $icon_type == 'image' && !empty($icon_image['id']) ) :
                $img_icon  = pxl_get_image_by_size( array(
                    'attach_id'  => $icon_image['id'],
                    'thumb_size' => 'full',
                ) );
                $thumbnail_icon    = $img_icon['thumbnail']; ?>
                <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                    <?php echo pxl_print_html($thumbnail_icon); ?>
                    <?php if (!empty($content)) {echo pxl_print_html($content);} ?>
                </a>
            <?php endif; ?>   
        <?php endforeach; ?>
    </div>
    </div>
<?php endif; ?>
</div>
             
</div>
<?php endif; ?>
