<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$pagination_type = $widget->get_setting('pagination_type','bullets');
$arrows_style = $widget->get_setting('arrows_style','style1');
$slides_to_scroll = $widget->get_setting('slides_to_scroll');
$arrows = $widget->get_setting('arrows', false);  
$pagination = $widget->get_setting('pagination', false);
$pause_on_hover = $widget->get_setting('pause_on_hover', false);
$autoplay = $widget->get_setting('autoplay', false);
$autoplay_speed = $widget->get_setting('autoplay_speed', 5000);
$infinite = $widget->get_setting('infinite', false);  
$speed = $widget->get_setting('speed', 500);
$center = $widget->get_setting('center', false);

$space_between = $widget->get_setting('space_between');
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => 1, 
    'slide_mode'                    => 'fade', 
    'slides_to_show'                => (int)$col_xl, 
    'slides_to_show_xxl'            => (int)$col_xxl, 
    'slides_to_show_lg'             => (int)$col_lg, 
    'slides_to_show_md'             => (int)$col_md, 
    'slides_to_show_sm'             => (int)$col_sm, 
    'slides_to_show_xs'             => (int)$col_xs, 
    'slides_to_scroll'              => (int)$slides_to_scroll,
    'arrow'                         => (bool)$arrows,
    'pagination'                    => (bool)$pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => (bool)$autoplay,
    'pause_on_hover'                => (bool)$pause_on_hover,
    'pause_on_interaction'          => true,
    'delay'                         => (int)$autoplay_speed,
    'loop'                          => (bool)$infinite,
    'speed'                         => (int)$speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);

if(isset($settings['testimonial']) && !empty($settings['testimonial']) && count($settings['testimonial'])): ?>
    <div class="pxl-swiper-sliders pxl-testimonial-carousel pxl-testimonial-carousel4 pxl-swiper-arrow-show pxl-parent-transition pxl-parent-cursor pxl-drag-area <?php if($arrows == 'true') { echo esc_attr__( 'pxl-show-arrow', 'bexpres' ); } ?>" data-view-auto="<?php echo esc_attr($col_xl); ?>" style="--data-speed: <?php echo esc_attr($speed .'ms'); ?>">
        <div class="pxl-carousel-inner">            
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' ));?>>
                <div class="pxl-swiper-wrapper">
                    <?php foreach ($settings['testimonial'] as $key => $value):
                        $i = 0;
                        $title = isset($value['title']) ? $value['title'] : '';
                        $image_size = isset($value['image_size']) ? $value['image_size'] : 'full';
                        $position = isset($value['position']) ? $value['position'] : '';
                        $desc = isset($value['desc']) ? $value['desc'] : '';
                        $show_star = isset($value['show_star']) ? $value['show_star'] : '';
                        $star = isset($value['star']) ? $value['star'] : '';
                        $image = isset($value['image']) ? $value['image'] : '';
                        $image2 = isset($value['image2']) ? $value['image2'] : '';
                        $thumbnail = '';
                        $thumbnail2 = '';
                       
                        if(!empty($image['id'])) {
                            $img = pxl_get_image_by_size(array(
                                'attach_id'  => $image['id'],
                                'thumb_size' => '73x73',
                                'class' => 'no-lazyload',
                            ));
                            $thumbnail = $img['thumbnail'];
                        }
                        if(!empty($image2['id'])) {
                            $img2 = pxl_get_image_by_size(array(
                                'attach_id'  => $image2['id'],
                                'thumb_size' => '1448x814',
                                'class' => 'no-lazyload',
                            ));
                            $thumbnail2 = $img2['thumbnail'];
                        }
                    ?>
                    <div class="pxl-swiper-slide">
                        <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms" data-wow-duration="<?php echo esc_attr($settings['pxl_animate_duration']); ?>s">
                            <div class="pxl-item--holder ">
                                <div class="pxl-item--desc el-empty"><?php echo pxl_print_html($desc); ?></div>
                                <div class="pxl-item--quote">
                                    <?php if(!empty($image['id'])) : ?>
                                        <div class="item-avatar"><?php echo wp_kses_post($thumbnail); ?></div>  
                                    <?php endif; ?>
                                    <div class="pxl-item--bottom">
                                        <h6 class="pxl-item--title el-empty"><?php echo pxl_print_html($title); ?></h6>
                                        <span class="pxl-item--position el-empty"><?php echo pxl_print_html($position); ?></span>   
                                    </div>                  
                                </div>
                            </div>
                            <?php if(!empty($image2['id'])) : ?>
                                <div class="pxl-image"><?php echo wp_kses_post($thumbnail2); ?></div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
        <?php if($arrows == true): ?>
    <div class="wp-arrow" data-cursor="-hidden">
        <?php if ($pagination !== false): ?>
            <div class="pxl-swiper-dots"></div>
        <?php endif; ?>
    </div>
    
    <?php endif; ?>
    </div>
<?php endif; ?>