<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_button',
        'title' => esc_html__('BR Button', 'bexpres' ),
        'icon' => 'eicon-button',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'bexpres-effects'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'text',
                            'label' => esc_html__('Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Click Here', 'bexpres'),
                        ),
                        array(
                            'name' => 'link',
                            'label' => esc_html__('Link', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                            'default' => [
                                'url' => '#',
                            ],
                        ),
                        array(
                            'name' => 'btn_icon',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'label_block' => true,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'icon_align',
                            'label' => esc_html__('Icon Position', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'left',
                            'options' => [
                                'left' => esc_html__('Before', 'bexpres' ),
                                'right' => esc_html__('After', 'bexpres' ),
                                'none' => esc_html__('None', 'bexpres' ),
                            ],
                        ),
                        array(
                            'name' => 'align',
                            'label' => esc_html__('Alignment', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'control_type' => 'responsive',
                            'options' => [
                                'left'    => [
                                    'title' => esc_html__('Left', 'bexpres' ),
                                    'icon' => 'fa fa-align-left',
                                ],
                                'center' => [
                                    'title' => esc_html__('Center', 'bexpres' ),
                                    'icon' => 'fa fa-align-center',
                                ],
                                'right' => [
                                    'title' => esc_html__('Right', 'bexpres' ),
                                    'icon' => 'fa fa-align-right',
                                ],
                                'justify' => [
                                    'title' => esc_html__('Justified', 'bexpres' ),
                                    'icon' => 'fa fa-align-justify',
                                ],
                            ],
                            'prefix_class' => 'elementor-align-',
                            'default' => '',
                            'selectors'         => [
                                '{{WRAPPER}} .pxl-button' => 'text-align: {{VALUE}}',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_button',
                    'label' => esc_html__('Button Normal', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'btn_style',
                            'label' => esc_html__('Style', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'btn btn-default' => esc_html__('Default', 'bexpres' ),
                                'pxl-btn-line' => esc_html__('Style 2', 'bexpres' ),
                                'pxl-btn-shine' => esc_html__('Style 3', 'bexpres' ),
                                'btn-border-running' => esc_html__('Style 4', 'bexpres' ),
                                'btn btn-line' => esc_html__('Style 5', 'bexpres' ),
                                'btn style6' => esc_html__('Style 6', 'bexpres' ),

                            ],
                            'default' => 'btn btn-default',
                        ),
                        array(
                            'name' => 'button_height',
                            'label' => esc_html__('Button Height', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'default' => [
                                'unit' => 'px',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 1000,
                                ],
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button .btn ' => 'height: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'button_width',
                            'label' => esc_html__('Button Width', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'default' => [
                                'unit' => 'px',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 1000,
                                ],
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button .btn ' => 'width: {{SIZE}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'btn_typography',
                            'label' => esc_html__( 'Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-button a',
                        ),
                        array(
                            'name'         => 'btn_box_shadow',
                            'label' => esc_html__( 'Box Shadow', 'bexpres' ),
                            'type'         => \Elementor\Group_Control_Box_Shadow::get_type(),
                            'control_type' => 'group',
                            'selector'     => '{{WRAPPER}} .pxl-button a'
                        ),
                        array(
                            'name' => 'btn_padding',
                            'label' => esc_html__('Padding', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button a' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'control_type' => 'responsive',
                        ),
                        array(
                            'name' => 'btn_margin',
                            'label' => esc_html__('Margin', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button a' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'control_type' => 'responsive',
                        ),
                        array(
                            'name' => 'btn_width',
                            'label' => esc_html__('Button Width', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'control_type' => 'responsive',
                            'options' => [
                                '100%' => [
                                    'title' => esc_html__('100%', 'bexpres' ),
                                    'icon' => 'eicon-text-align-justify',
                                ],
                                'auto' => [
                                    'title' => esc_html__('Auto', 'bexpres' ),
                                    'icon' => 'eicon-h-align-stretch',
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button a' => 'width: {{VALUE}};',
                            ],
                            'condition' => ['btn_style' => 'btn btn-default'],
                        ),
                        array(
                            'name' => 'color',
                            'label' => esc_html__('Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button .btn-text, {{WRAPPER}} .pxl-btn-shine' => 'color: {{VALUE}};',
                            ],
                            'separator' => 'before',
                            'condition' => [
                                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
                            ],
                        ),
                        array(
                            'name' => 'btn_bg_color',
                            'label' => esc_html__('Background Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button a:after, {{WRAPPER}} .pxl-btn-shine' => 'background-color: {{VALUE}};',
                            ],
                            
                        ),
                        array(
                            'name' => 'border_color',
                            'label' => esc_html__('Border Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button svg, {{WRAPPER}} .pxl-btn-shine' => 'border-color: {{VALUE}};',
                            ],
                            'condition' => [
                                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
                            ],
                        ),
                        array(
                            'name' => 'color_line',
                            'label' => esc_html__('Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .btn-line' => 'color: {{VALUE}};',
                            ],
                            'separator' => 'before',
                            'condition' => [
                                'btn_style' => ['btn btn-line'],
                            ],
                        ),
                        array(
                            'name' => 'btn_bg_color_line',
                            'label' => esc_html__('Background Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .btn-line, {{WRAPPER}} .pxl-button .btn' => 'background-color: {{VALUE}};',
                            ],
                            
                        ),
                        array(
                            'name' => 'border_color_line',
                            'label' => esc_html__('Border Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .btn-line:before,{{WRAPPER}} .btn-line:after,{{WRAPPER}} .btn-line span:before, {{WRAPPER}} .btn-line span:after' => 'border-color: {{VALUE}};',
                            ],
                            'condition' => [
                                'btn_style' => ['btn btn-line'],
                            ],
                        ),
                        array(
                            'name' => 'button_border_radius',
                            'label' => esc_html__('Border Radius', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'default' => [
                                'unit' => '%',
                            ],
                            'range' => [
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-button .btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ),
                        array(
                            'name' => 'line_color',
                            'label' => esc_html__('Line Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-btn-shine:before' => 'background-color: {{VALUE}};',
                            ],
                            'condition' => [
                                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
                            ],
                        ),
                        
                        array(
                            'name' => 'button_color_2',
                            'label' => esc_html__('Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} a, {{WRAPPER}} a .btn-text' => 'color: {{VALUE}};',
                                '{{WRAPPER}} .pxl-btn-line .btn-icon .line, {{WRAPPER}} .pxl-btn-line .btn-icon .dot' => 'background-color: {{VALUE}};',
                                '{{WRAPPER}} .pxl-btn-line .btn-icon .circle' => 'border-color: {{VALUE}};',
                            ],
                            'condition' => ['btn_style' => 'pxl-btn-line'],
                            'separator' => 'before',
                        ),
                        
                        
                        array(
                            'name' => 'btn_line_width',
                            'label' => esc_html__('Line Width', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-btn-line .btn-icon .line' => 'width: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => ['btn_style' => 'pxl-btn-line'],
                        ),
                        array(
                            'name' => 'btn_line_height',
                            'label' => esc_html__('Line Height', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-btn-line .btn-icon .line' => 'height: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => ['btn_style' => 'pxl-btn-line'],
                        ),
                    ),
),
array(
    'name' => 'section_style_button_hover',
    'label' => esc_html__('Button Hover', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'button_effect',
            'label' => esc_html__('Effect', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__('None', 'bexpres' ),
                'pxl-jump' => esc_html__('Jump', 'bexpres' ),
                'pxl-upscale' => esc_html__('Upscale', 'bexpres' ),
                'pxl-spin' => esc_html__('Spin', 'bexpres' ),
                'pxl-skew' => esc_html__('Skew', 'bexpres' ),
                'pxl-squash' => esc_html__('Squash', 'bexpres' ),
                'pxl-leap' => esc_html__('Leap', 'bexpres' ),
                'pxl-fade' => esc_html__('Fade', 'bexpres' ),
                'pxl-sheen' => esc_html__('Sheen', 'bexpres' ),
                'pxl-xspin' => esc_html__('Xspin', 'bexpres' ),
                'pxl-pop' => esc_html__('Pop', 'bexpres' ),
            ],
            'default' => '',
        ),
        array(
            'name' => 'color_hover',
            'label' => esc_html__('Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button a:hover .btn-text, {{WRAPPER}} .pxl-btn-shine:hover' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
            'condition' => [
                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
            ],
        ),
        array(
            'name' => 'button_bg',
            'label' => esc_html__('Hover Background', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button:hover .btn' => 'background: {{VALUE}};',
                
            ],
            'condition' => [
                'btn_style' => [ 'pxl-btn-line'],
            ],
        ),
        array(
            'name' => 'btn_bg_color_hover',
            'label' => esc_html__('Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button a:hover:after, {{WRAPPER}} .pxl-btn' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
            ],
        ),
        array(
            'name' => 'border_color_hover',
            'label' => esc_html__('Border Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button a:hover:before, {{WRAPPER}} .pxl-btn-shine:hover' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn btn-default', 'pxl-btn-shine'],
            ],
        ),
        array(
            'name' => 'color_line_hover',
            'label' => esc_html__('Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .btn-line:hover .btn-text' => 'color: {{VALUE}};',
            ],
            'separator' => 'before',
            'condition' => [
                'btn_style' => ['btn btn-line'],
            ],
        ),
        array(
            'name' => 'btn_bg_color_line_hover',
            'label' => esc_html__('Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .btn-line:hover' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn btn-line'],
            ],
        ),
        array(
            'name' => 'btn_hv_svg',
            'label' => esc_html__('Icon SVG', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-btn-shine:hover svg' => 'fill: {{VALUE}};',
            ],
            
        ),
        array(
            'name' => 'border_color_line_hover',
            'label' => esc_html__('Border Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .btn-line:hover:before,{{WRAPPER}} .btn-line:hover:after,{{WRAPPER}} .btn-line .btn-text:hover:before, {{WRAPPER}} .btn-line .btn-text:hover:after' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn btn-line'],
            ],
        ),

        array(
            'name' => 'hover_button_color2',
            'label' => esc_html__('Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} a:hover, {{WRAPPER}} a:hover .btn-text' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .line, {{WRAPPER}} .pxl-btn-line:hover .btn-icon .dot' => 'background-color: {{VALUE}};',
                '{{WRAPPER}} .pxl-btn-line:hover .btn-icon .circle' => 'border-color: {{VALUE}};',
            ],
            'condition' => ['btn_style' => 'pxl-btn-line'],
        ),
        
        array(
            'name'         => 'btn_box_shadow_hover',
            'label'        => esc_html__( 'Box Shadow', 'bexpres' ),
            'type'         => \Elementor\Group_Control_Box_Shadow::get_type(),
            'control_type' => 'group',
            'selector'     => '{{WRAPPER}} .pxl-button a:hover',
        ),
    ),
),
array(
    'name' => 'section_style_icon',
    'label' => esc_html__('Icon', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'icon_color',
            'label' => esc_html__('Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button i' => 'color: {{VALUE}};',
                '{{WRAPPER}} .pxl-button svg' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'icon_font_size',
            'label' => esc_html__('Font Size', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button i' => 'font-size: {{SIZE}}{{UNIT}};',
                '{{WRAPPER}} .pxl-button svg' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'icon_width',
            'label' => esc_html__('Width', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button svg' => 'width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'icon_height',
            'label' => esc_html__('Height', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button svg' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'icon_padding',
            'label' => esc_html__('Padding', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button svg' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'icon_space_left',
            'label' => esc_html__('Icon Spacer', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'default' => [
                'size' => 9,
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-icon--left .text-arrow i, {{WRAPPER}} .pxl-icon--left .text-arrow svg' => 'margin-right: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'icon_align' => ['left'],
            ],
        ),
        array(
            'name' => 'icon_space_right',
            'label' => esc_html__('Icon Spacer', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'default' => [
                'size' => 9,
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-icon--right .text-arrow i, {{WRAPPER}} .pxl-icon--right svg' => 'margin-left: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'icon_align' => ['right'],
            ],
        ),
        array(
            'name' => 'icon_bg',
            'label' => esc_html__('Icon Background', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button i' => 'background: {{VALUE}};',
                '{{WRAPPER}} .pxl-button svg' => 'background: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'icon_border_radius',
            'label' => esc_html__('Border Radius', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => '%',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button i, {{WRAPPER}} .pxl-button svg'  => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
bexpres_widget_animation_settings()
),
),
),
bexpres_get_class_widget_path()
);