<?php

pxl_add_custom_widget(

    array(
        'name' => 'pxl_domain',
        'title' => esc_html__('Pxl Domain', 'bexpres' ),
        'icon' => 'eicon-button',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'address_code',
                            'label' => esc_html__('Address Code', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Cargo Address Code:', 'bexpres'),
                        ),
                        array(
                            'name' => 'code_head',
                            'label' => esc_html__('Code Head', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('BXP-', 'bexpres'),
                        ),
                        array(
                            'name' => 'placeholder',
                            'label' => esc_html__('Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Enter Domain Name', 'bexpres'),
                        ),
                        array(
                            'name' => 'current_status',
                            'label' => esc_html__('Current Status', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Current Status', 'bexpres'),
                        ),
                        array(
                            'name' => 'progress',
                            'label' => esc_html__('Progress', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('In progress ', 'bexpres'),
                        ),
                        array(
                            'name' => 'checking',
                            'label' => esc_html__('Checking', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Checking ', 'bexpres'),
                        ),
                        array(
                            'name' => 'item_check',
                            'label' => esc_html__('Item Checking', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('11.52 AM ', 'bexpres'),
                        ),
                        array(
                            'name' => 'transit',
                            'label' => esc_html__('Transit', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('In transit ', 'bexpres'),
                        ),
                        array(
                            'name' => 'item_transit',
                            'label' => esc_html__('Item Transit', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('02.00 ', 'bexpres'),
                        ),
                        array(
                            'name' => 'delivery',
                            'label' => esc_html__('Delivery', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Out for delivery ', 'bexpres'),
                        ),
                        array(
                            'name' => 'item_delivery',
                            'label' => esc_html__('Item Delivery', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('August  05, 2025 ', 'bexpres'),
                        ),
                        array(
                            'name' => 'title_buy',
                            'label' => esc_html__('Text Button Buy', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('', 'bexpres'),
                        ),

                        array(
                            'name' => 'item_link',
                            'label' => esc_html__('Whmcs URL', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),

                    ),

                ),
                array(
                    'name' => 'section_style_item1',
                    'label' => esc_html__('Item 1', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'title1_typography',
                            'label' => esc_html__('Address Code Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item1 .pxl-title',
                        ),
                        array(
                            'name' => 'title1_color',
                            'label' => esc_html__('Title Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item1 .pxl-title' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'code_head_typography',
                            'label' => esc_html__('Code Head Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item1 .pxl-code-head',
                        ),
                        array(
                            'name' => 'code_head_color',
                            'label' => esc_html__('Title Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item1 .pxl-code-head' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'input_typography',
                            'label' => esc_html__('Input Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item1 .pxl-code-head input',
                        ),
                        array(
                            'name' => 'input_color',
                            'label' => esc_html__('Input Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item1 .pxl-code-head input' => 'color: {{VALUE}};',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_item2',
                    'label' => esc_html__('Item 2', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'current_status_typography',
                            'label' => esc_html__('Current Status Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item2 .current-status',
                        ),
                        array(
                            'name' => 'current_status_color',
                            'label' => esc_html__('Current Status Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item2 .current-status' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'progress_typography',
                            'label' => esc_html__('Progress Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item2 .pxl-progress',
                        ),
                        array(
                            'name' => 'progress_color',
                            'label' => esc_html__('Progress Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item2 .pxl-progress' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                    ),
                ),
                array(
                    'name' => 'section_style_item4',
                    'label' => esc_html__('Item 4', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'checking_typography',
                            'label' => esc_html__('Checking Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item4 .checking',
                        ),
                        array(
                            'name' => 'checking_color',
                            'label' => esc_html__('Checking Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item4 .checking' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'time_typography',
                            'label' => esc_html__('Time Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item4 .pxl-item-check',
                        ),
                        array(
                            'name' => 'time_color',
                            'label' => esc_html__('Time Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item4 .pxl-item-check' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                    ),
                ),
                array(
                    'name' => 'section_style_item5',
                    'label' => esc_html__('Item 5', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'transit_typography',
                            'label' => esc_html__('Transit Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item5 .transit',
                        ),
                        array(
                            'name' => 'transit_color',
                            'label' => esc_html__('Transit Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item5 .transit' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'time_finish_typography',
                            'label' => esc_html__('Time Finish Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item5 .item_transit',
                        ),
                        array(
                            'name' => 'time_finish_color',
                            'label' => esc_html__('Time Finish Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item5 .item_transit' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                    ),
                ),
                array(
                    'name' => 'section_style_item6',
                    'label' => esc_html__('Item 6', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'delivery_typography',
                            'label' => esc_html__('Delivery Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item6 .delivery',
                        ),
                        array(
                            'name' => 'delivery_color',
                            'label' => esc_html__('Delivery Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item6 .delivery' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'content_delivery_typography',
                            'label' => esc_html__('Content Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .form-domain .pxl-item6 .item-delivery',
                        ),
                        array(
                            'name' => 'content_delivery_color',
                            'label' => esc_html__('Content Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .form-domain .pxl-item6 .item-delivery' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                    ),
                ),
                array(
                    'name' => 'section_style_button',
                    'label' => esc_html__('Button', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'button_typography',
                            'label' => esc_html__('Delivery Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} #btn-clicka .pxl-text--button a',
                        ),
                        array(
                            'name' => 'button_color',
                            'label' => esc_html__('Delivery Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} #btn-clicka .pxl-text--button a' => 'color: {{VALUE}};',
                            ],
                        ),
                        
                    ),
                ),
                bexpres_widget_animation_settings(), 

            ),

        ),

    ),

    bexpres_get_class_widget_path()

);