<?php
// Register Image Box Widget
pxl_add_custom_widget(
    array(
        'name' => 'pxl_image_box',
        'title' => esc_html__('BR Image Box', 'bexpres' ),
        'icon' => 'eicon-image-box',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'bexpres-effects'
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'bexpres' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_image_box/img-layout/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_image_box/img-layout/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_image_box/img-layout/layout3.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'condition' => [
                        'layout' => ['1','2'],
                    ],
                    'controls' => array(  
                        array(
                            'name' => 'pxl_icon',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'pxl_icon2',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'image_front',
                            'label' => esc_html__( 'Image Front', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Button Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'btn_link',
                            'label' => esc_html__('Link', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content1',
                    'label' => esc_html__('Content', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'condition' => [
                        'layout' => ['3'],
                    ],
                    'controls' => array(  
                      
                        array(
                            'name' => 'pxl_icon3',
                            'label' => esc_html__('Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'fa4compatibility' => 'icon',
                        ),
                        array(
                            'name' => 'image_front3',
                            'label' => esc_html__( 'Image Front', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        
                        array(
                            'name' => 'button_text3',
                            'label' => esc_html__(' Title', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'sub_text',
                            'label' => esc_html__('Sub Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                        array(
                            'name' => 'btn_link3',
                            'label' => esc_html__('Link', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style',
                    'label' => esc_html__('Style', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'effect_style',
                            'label' => esc_html__('Effect Style', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'style1' => 'Style 1',
                                'style1' => 'Style 1',
                                'style2' => 'Style 2',
                                'style3' => 'Style 3',
                                'style4' => 'Style 4',
                                'style5' => 'Style 5',
                                'style6' => 'Style 6',
                                'style7' => 'Style 7',
                            ],
                            'default' => 'style1',
                            'condition' => [
                                'layout' => ['1' ],
                            ],
                            'conditions' => [
                                'relation' => 'or',
                                'terms' => [
                                    [
                                        'terms' => [
                                            ['name' => 'layout', 'operator' => '==', 'value' => '1'],
                                        ]
                                    ],
                                    
                                ],
                            ],
                        ),
                        array(
                            'name' => 'image_size',
                            'label' => esc_html__('Image Size', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'control_type' => 'responsive',
                            'options' => [
                                '100%' => [
                                    'title' => esc_html__('100%', 'bexpres' ),
                                    'icon' => 'eicon-text-align-justify',
                                ],
                                'auto' => [
                                    'title' => esc_html__('Auto', 'bexpres' ),
                                    'icon' => 'eicon-h-align-stretch',
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .item--image img' => 'width: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__('Title Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .pxl-title ' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'title_typography',
                            'label' => esc_html__('Title Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-image-box .pxl-title ',
                        ),
                        array(
                            'name' => 'sub_color',
                            'label' => esc_html__('Sub Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .pxl-sub--title' => 'color: {{VALUE}} ',
                            ],
                            'condition' => [
                                    'layout' => ['3' ],
                                ],
                        ),
                        array(
                            'name' => 'sub_typography',
                            'label' => esc_html__('Sub Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-image-box .pxl-sub--title',
                            'condition' => [
                                    'layout' => ['3' ],
                                ],
                        ),
                        array(
                            'name' => 'icon_bg',
                            'label' => esc_html__('Background Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .pxl-item--icon' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'bg_image',
                            'label' => esc_html__('Background Image', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .item--image ' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'content_padding',
                            'label' => esc_html__('Content Padding', 'bexpres' ),
                            'type' => 'dimensions',
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%', 'vw', 'vh' ],
                            'default' => [
                                'unit' => 'px',
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .pxl-item-content' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                        ),
                    ),                   
                ),
                array(
                    'name' => 'style_hover',
                    'label' => esc_html__('Hover', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'icon_hv',
                            'label' => esc_html__('Background Icon', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box3 .pxl-item--inner:hover .pxl-item--icon, {{WRAPPER}} .pxl-image-box2 .pxl-item--inner:hover .pxl-item--icon2' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'icon_svg',
                            'label' => esc_html__('Icon SVG', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box2 .pxl-item--inner:hover .pxl-item--icon2 svg' => 'fill: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'bg_image1',
                            'label' => esc_html__('Background Image', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box .item--image ' => 'background: {{VALUE}} ',
                            ],
                        ),                            
                    ),
                ),
bexpres_widget_animation_settings(),
),
),
),
bexpres_get_class_widget_path()
);