<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_image_location',
        'title' => esc_html__('BR Image Location', 'bexpres'),
        'icon' => 'eicon-settings',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'bexpres' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_image_location/img-layout/layout1.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'image_logo',
                            'label' => esc_html__('Image Logo', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        array(
                            'name' => 'popular',
                            'label' => esc_html__('Popular', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'default' => 'Default',
                            ],
                            'default' => 'default',
                        ),
                        array(
                            'name' => 'title',
                            'label' => esc_html__('Title', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                        ),
                       
                        array(
                            'name' => 'feature',
                            'label' => esc_html__('List Feature', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'feature_text',
                                    'label' => esc_html__('Text', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                            ),
                            'title_field' => '{{{ feature_text }}}',
                        ),
                        array(
                            'name' => 'button_text',
                            'label' => esc_html__('Button Text', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => '',
                        ),
                        array(
                            'name' => 'button_link',
                            'label' => esc_html__('Button Link', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::URL,
                        ),
                    ),
                ),
                array(
                    'name' => 'section_meta',
                    'label' => esc_html__('Section Meta', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                       
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__('Title Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item--meta .pxl-title' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'Title_typography',
                            'label' => esc_html__('Title Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-image-location .pxl-item--meta .pxl-title',
                        ),
                        array(
                            'name' => 'align',
                              'label' => esc_html__( 'Alignment', 'bexpres' ),
                              'type' => \Elementor\Controls_Manager::CHOOSE,
                              'control_type' => 'responsive',
                              'options' => [
                                  'left' => [
                                      'title' => esc_html__( 'Left', 'bexpres' ),
                                      'icon' => 'eicon-text-align-left',
                                  ],
                                  'center' => [
                                      'title' => esc_html__( 'Center', 'bexpres' ),
                                      'icon' => 'eicon-text-align-center',
                                  ],
                                  'right' => [
                                      'title' => esc_html__( 'Right', 'bexpres' ),
                                      'icon' => 'eicon-text-align-right',
                                  ],
                                  'justify' => [
                                      'title' => esc_html__( 'Justified', 'bexpres' ),
                                      'icon' => 'eicon-text-align-justify',
                                  ],
                              ],
                              'selectors' => [
                                  '{{WRAPPER}} .pxl-image-location .pxl-item--meta .pxl-title , {{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-feature-list, {{WRAPPER}} .pxl-image-location .pxl-item--imgprimary' => 'text-align: {{VALUE}};',
                              ],
                          ),
                          array(
                            'name' => 'title_space_bottom',
                            'label' => esc_html__('Title Bottom Spacer', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'default' => [
                                'size' => 23,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item--meta ' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                            'separator' => 'after',
                        ),
                    ),
                ),
                array(
                    'name' => 'section_inner',
                    'label' => esc_html__('Section Inner', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        
                        array(
                            'name' => 'item_color',
                            'label' => esc_html__('Item Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--feature .pxl-feature-text ' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'item_typography',
                            'label' => esc_html__('Item Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--feature .pxl-feature-text ',
                        ),
                        
                        array(
                            'name' => 'item_space_bottom',
                            'label' => esc_html__('Item Bottom Spacer', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'default' => [
                                'size' => 0,
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item--feature .pxl-feature-list' => 'margin-bottom: {{SIZE}}{{UNIT}};',
                            ],
                            'separator' => 'after',
                        ),
                        array(
                            'name' => 'btn_color',
                            'label' => esc_html__('Button Color', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--button .pxl-btn-buy ' => 'color: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'btn_bg',
                            'label' => esc_html__('Button Background', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--button ' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'btn_hover',
                            'label' => esc_html__('Button Hover', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item-inner:hover .pxl-item--button ' => 'background: {{VALUE}} ',
                            ],
                        ),
                        array(
                            'name' => 'btn_typography',
                            'label' => esc_html__('Button Typography', 'bexpres' ),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--button .pxl-btn-buy ',
                        ),
                        
                        array(
                            'name' => 'align',
                              'label' => esc_html__( 'Alignment', 'bexpres' ),
                              'type' => \Elementor\Controls_Manager::CHOOSE,
                              'control_type' => 'responsive',
                              'options' => [
                                  'left' => [
                                      'title' => esc_html__( 'Left', 'bexpres' ),
                                      'icon' => 'eicon-text-align-left',
                                  ],
                                  'center' => [
                                      'title' => esc_html__( 'Center', 'bexpres' ),
                                      'icon' => 'eicon-text-align-center',
                                  ],
                                  'right' => [
                                      'title' => esc_html__( 'Right', 'bexpres' ),
                                      'icon' => 'eicon-text-align-right',
                                  ],
                                  'justify' => [
                                      'title' => esc_html__( 'Justified', 'bexpres' ),
                                      'icon' => 'eicon-text-align-justify',
                                  ],
                              ],
                              'selectors' => [
                                  '{{WRAPPER}} .pxl-image-location .pxl-item-inner' => 'text-align: {{VALUE}};',
                              ],
                          ),
                          array(
                            'name' => 'button_space_top',
                            'label' => esc_html__('Button Top Spacer', 'bexpres' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px' ],
                            'default' => [
                                'size' => '',
                            ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 300,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-location .pxl-item-inner .pxl-item--button ' => 'margin-top: {{SIZE}}{{UNIT}};',
                            ],
                            'separator' => 'after',
                        ),
                    ),
                ),
                bexpres_widget_animation_settings(),
            ),
        ),
    ),
    bexpres_get_class_widget_path()
);