<?php
$slides_to_show = range(1, 10);
$slides_to_show = array_combine($slides_to_show, $slides_to_show);

pxl_add_custom_widget(
    array(
        'name' => 'pxl_section_services',
        'title' => esc_html__('BR Section Service', 'bexpres'),
        'icon' => 'eicon-testimonial',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'swiper',
            'pxl-swiper',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'source_type',
                            'label' => esc_html__('Source Type', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'text',
                        ),
                        array(
                            'name' => 'title',
                            'label' => esc_html__('Title', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                            'condition' => [
                                'source_type' => ['text'],
                            ],
                            'description' => 'Create Typewriter text width shortcode: [typewriter text="Text1, Text2"], Highlight text with shortcode: [highlight text="Text"] and Highlight image with shortcode: [highlight_image id_image="123"]',
                        ),
                        array(
                            'name' => 'sub_title',
                            'label' => esc_html__('Sub Title', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'description',
                            'label' => esc_html__('Description', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'item',
                            'label' => esc_html__('item', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            'controls' => array(
                                array(
                                    'name' => 'list',
                                    'label' => esc_html__('List service', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'label_block' => true,
                                ),
                                array(
                                    'name' => 'image',
                                    'label' => esc_html__('Image', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),

                            ),
                            'title_field' => '{{{ list }}}',
                        ),



                    ),
                ),

                array(
                    'name' => 'section_style_title',
                    'label' => esc_html__('Title', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'title_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-title ' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'title_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .pxl-title ',
                        ),

                    ),
                ),

                array(
                    'name' => 'section_style_sub_title',
                    'label' => esc_html__('Sub title', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'Sub_title_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .sub_title ' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'Sub_title_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .sub_title ',
                        ),

                    ),
                ),
                array(
                    'name' => 'style_desc',
                    'label' => esc_html__('description-item', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'description_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .description' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'description_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .description',
                        ),
                    ),
                ),
                array(
                    'name' => 'style_number',
                    'label' => esc_html__('number', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'number_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-tab-list .pxl-item-number' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'number_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .pxl-tab-list .pxl-item-number',
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_list',
                    'label' => esc_html__('list-item', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'list_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-tab-list .pxl-list .pxl-item-list' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'list_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .pxl-tab-list .pxl-list .pxl-item-list',
                        ),
                        array(
                            'name' => 'list_color_hover',
                            'label' => esc_html__('Color Hover', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'default' => '',
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-list:hover .pxl-item-list' => 'color: {{VALUE}};',
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_style_number_img',
                    'label' => esc_html__('number-image', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
                    'controls' => array(
                        array(
                            'name' => 'number_img_color',
                            'label' => esc_html__('Color', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-image .pxl-item-image' => 'color: {{VALUE}};',
                            ],
                        ),
                        array(
                            'name' => 'number_img_typography',
                            'label' => esc_html__('Typography', 'bexpres'),
                            'type' => \Elementor\Group_Control_Typography::get_type(),
                            'control_type' => 'group',
                            'selector' => '{{WRAPPER}} .pxl_section_services .pxl-image .pxl-item-image',
                        ),
                        array(
                            'name' => 'number_opacity',
                            'label' => esc_html__('number Opacity (0 - 100)', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => ['%'],
                            'default'    => [
                                'unit' => '%'
                            ],
                            'range' => [
                                '%' => [
                                    'min' => 0,
                                    'max' => 100,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl_section_services .pxl-image .pxl-item-image::before' => 'opacity: {{SIZE}}%;',
                            ],
                            'condition' => [
                                'sub_title_style' => ['px-sub-title-shape4'],
                            ],
                        ),

                    ),
                ),

                array(
                    'name' => 'offset_right',
                    'label' => esc_html__('Offset Right', 'bexpres'),
                    'type' => \Elementor\Controls_Manager::SLIDER,
                    'control_type' => 'responsive',
                    'size_units' => ['px'],
                    'range' => [
                        'px' => [
                            'min' => 0,
                            'max' => 3000,
                        ],
                    ],
                    'selectors' => [
                        '{{WRAPPER}} .pxl-swiper-sliders .pxl-swiper-container' => 'margin-right: -{{SIZE}}{{UNIT}};',
                    ],
                ),
                array(
                    'name' => 'pxl_animate',
                    'label' => esc_html__('Animate', 'bexpres'),
                    'type' => \Elementor\Controls_Manager::SELECT,
                    'options' => bexpres_widget_animate(),
                    'default' => '',
                ),
                array(
                    'name' => 'pxl_animate_delay',
                    'label' => esc_html__('Animate Delay', 'bexpres'),
                    'type' => \Elementor\Controls_Manager::TEXT,
                    'default' => '0',
                    'description' => 'Enter number. Default 0ms',
                ),
            ),
        ),

    ),

    bexpres_get_class_widget_path()
);
