<?php
$slides_to_show = range( 1, 10 );
$slides_to_show = array_combine( $slides_to_show, $slides_to_show );

pxl_add_custom_widget(
    array(
        'name' => 'pxl_testimonial_carousel',
        'title' => esc_html__('BR Testimonial Carousel', 'bexpres'),
        'icon' => 'eicon-testimonial',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'swiper',
            'pxl-swiper',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'bexpres' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'bexpres' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_testimonial_carousel/img-layout/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_testimonial_carousel/img-layout/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_testimonial_carousel/img-layout/layout3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'bexpres' ),
                                    'image' => get_template_directory_uri() . '/elements/templates/pxl_testimonial_carousel/img-layout/layout4.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'bexpres'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'testimonial',
                            'label' => esc_html__('Testimonial', 'bexpres'),
                            'type' => \Elementor\Controls_Manager::REPEATER,
                            
                            'controls' => array(
                                array(
                                    'name' => 'title',
                                    'label' => esc_html__('Title', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'description' => 'Apply to some layouts.'
                                ),
                                array(
                                    'name' => 'position',
                                    'label' => esc_html__('Position', 'bexpres'),
                                    'type' => \Elementor\Controls_Manager::TEXT,
                                    'description' => 'Apply to some layouts.'
                                ),
                                array(
                                    'name' => 'desc',
                                    'label' => esc_html__('Description', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::TEXTAREA,
                                    'rows' => 10,
                                    'show_label' => false,
                                ),
                                array(
                                    'name' => 'image',
                                    'label' => esc_html__('Avatar', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                ),
                                array(
                                    'name' => 'image2',
                                    'label' => esc_html__('Image', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::MEDIA,
                                    
                                ),
                                array(
                                    'name' => 'show_star',
                                    'label' => esc_html__('Show Star', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::SWITCHER,
                                    'default' => 'true',
                                ),
                                array(
                                    'name' => 'star',
                                    'label' => esc_html__('Star', 'bexpres' ),
                                    'type' => \Elementor\Controls_Manager::SELECT,
                                    'options' => [
                                        'one-star'   => '1 Star',
                                        'two-star'   => '2 Star',
                                        'three-star' => '3 Star',
                                        'four-star'  => '4 Star',
                                        'five-star'  => '5 Star',
                                    ],
                                    'default' => 'five-star',
                                ),
                            ),
                            'title_field' => '{{{ position }}}',
                        ),
                        array(
                          'name' => 'align',
                          'label' => esc_html__( 'Alignment', 'bexpres' ),
                          'type' => \Elementor\Controls_Manager::CHOOSE,
                          'control_type' => 'responsive',
                          'options' => [
                            'left' => [
                                'title' => esc_html__( 'Left', 'bexpres' ),
                                'icon' => 'eicon-text-align-left',
                            ],
                            'center' => [
                                'title' => esc_html__( 'Center', 'bexpres' ),
                                'icon' => 'eicon-text-align-center',
                            ],
                            'right' => [
                                'title' => esc_html__( 'Right', 'bexpres' ),
                                'icon' => 'eicon-text-align-right',
                            ],
                            'justify' => [
                                'title' => esc_html__( 'Justified', 'bexpres' ),
                                'icon' => 'eicon-text-align-justify',
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'text-align: {{VALUE}};',
                        ],
                    ),
                    ),
),
array(
    'name' => 'section_settings_carousel',
    'label' => esc_html__('Settings', 'bexpres'),
    'tab' => \Elementor\Controls_Manager::TAB_SETTINGS,
    'controls' => array(
        array(
            'name' => 'col_xs',
            'label' => esc_html__('Columns XS Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_sm',
            'label' => esc_html__('Columns SM Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_md',
            'label' => esc_html__('Columns MD Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_lg',
            'label' => esc_html__('Columns LG Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xl',
            'label' => esc_html__('Columns XL Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                'auto' => 'Auto',
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'col_xxl',
            'label' => esc_html__('Columns XXL Devices', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'inherit',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
                'inherit' => 'Inherit',
            ],
        ),
        array(
            'name' => 'slides_to_scroll',
            'label' => esc_html__('Slides to scroll', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => '1',
            'options' => [
                '1' => '1',
                '2' => '2',
                '3' => '3',
                '4' => '4',
                '5' => '5',
                '6' => '6',
            ],
        ),
        array(
            'name' => 'item_padding',
            'label' => esc_html__('Item Padding', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'default' => [
                'top' => '15',
                'right' => '15',
                'bottom' => '15',
                'left' => '15'
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-container' => 'margin-top: -{{TOP}}{{UNIT}}; margin-right: -{{RIGHT}}{{UNIT}}; margin-bottom: -{{BOTTOM}}{{UNIT}}; margin-left: -{{LEFT}}{{UNIT}};',
                '{{WRAPPER}} .pxl-swiper-container .pxl-swiper-slide' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'arrows',
            'label' => esc_html__('Show Arrows', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'arrows_style',
            'label' => esc_html__('Arrows Style', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'style1' => 'Style 1',
                'style2' => 'Style 2',
                'style3' => 'Style 3',
                'style4' => 'Style 4',
            ],
            'default' => 'style1',
            'condition' => [
                'arrows' => 'true',
            ]
        ),
        array(
            'name' => 'arrow_prev_horizontal_orientation',
            'label' => esc_html__('Arrow Prev Horizontal Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'bexpres' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'bexpres' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_left',
            'label' => esc_html__('Arrow Prev Offset Left', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_prev_offset_right',
            'label' => esc_html__('Arrow Prev Offset Right', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-prev' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_prev_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_next_horizontal_orientation',
            'label' => esc_html__('Arrow Next Horizontal Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Left', 'bexpres' ),
                    'icon' => 'eicon-h-align-left',
                ],
                'end' => [
                    'title' => esc_html__( 'Right', 'bexpres' ),
                    'icon' => 'eicon-h-align-right',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'separator' => 'before',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_left',
            'label' => esc_html__('Arrow Next Offset Left', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'left: {{SIZE}}{{UNIT}}; right: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_next_offset_right',
            'label' => esc_html__('Arrow Next Offset Right', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow.pxl-swiper-arrow-next' => 'right: {{SIZE}}{{UNIT}}; left: auto;',
            ],
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
                'arrow_next_horizontal_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrow_vertical_orientation',
            'label' => esc_html__('Arrow Vertical Orientation', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::CHOOSE,
            'control_type' => 'responsive',
            'options' => [
                'start' => [
                    'title' => esc_html__( 'Top', 'bexpres' ),
                    'icon' => 'eicon-v-align-top',
                ],
                'end' => [
                    'title' => esc_html__( 'Bottom', 'bexpres' ),
                    'icon' => 'eicon-v-align-bottom',
                ],
            ],
            'toggle' => false,
            'render_type' => 'ui',
            'condition' => [
                'arrows' => 'true',
                'arrows_style' => 'style2',
            ],
        ),
        array(
            'name' => 'arrow_offset_y',
            'label' => esc_html__('Arrow Offset Y', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'top: {{SIZE}}{{UNIT}}; bottom: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'start',
            ],
        ),
        array(
            'name' => 'arrow_offset_y_end',
            'label' => esc_html__('Arrow Offset Y', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => -1000,
                    'max' => 1000,
                    'step' => 1,
                ],
                '%' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vw' => [
                    'min' => -200,
                    'max' => 200,
                ],
                'vh' => [
                    'min' => -200,
                    'max' => 200,
                ],
            ],
            'default' => [
                'unit' => 'px',
            ],
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow' => 'bottom: {{SIZE}}{{UNIT}}; top: auto;',
            ],
            'condition' => [
                'arrow_vertical_orientation' => 'end',
            ],
        ),
        array(
            'name' => 'arrows_size',
            'label' => esc_html__('Arrows Width/Height', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .wp-arrow.style2 .pxl-swiper-arrow .circle' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
            ],
            'separator' => 'after',
        ),
        array(
            'name' => 'pagination',
            'label' => esc_html__('Show Pagination', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ),
        array(
            'name' => 'pagination_type',
            'label' => esc_html__('Pagination Type', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'bullets',
            'options' => [
                'bullets' => 'Bullets',
                'fraction' => 'Fraction',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'pagination_margin',
            'label' => esc_html__('Pagination Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%', 'vw', 'vh' ],
            'default' => [
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pagination' => 'true'
            ]
        ),
        array(
            'name' => 'bullets_color',
            'label' => esc_html__('Bullets Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .pxl-swiper-pagination-bullet:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
       
        array(
            'name' => 'active_bullets_color',
            'label' => esc_html__('Bullets Color Active', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots .swiper-pagination-bullet-active:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'bullets',
                'pagination' => 'true'
            ]
        ),
        
        array(
            'name' => 'fraction_color',
            'label' => esc_html__('Fraction Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-dots.pxl-swiper-pagination-fraction' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'pagination_type' => 'fraction',
                'pagination' => 'true'
            ]
        ),
        
        array(
            'name' => 'pause_on_hover',
            'label' => esc_html__('Pause on Hover', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'separator' => 'before',
        ),
        array(
            'name' => 'autoplay',
            'label' => esc_html__('Autoplay', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'autoplay_speed',
            'label' => esc_html__('Autoplay Speed', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 5000,
            'condition' => [
                'autoplay' => 'true'
            ]
        ),
        array(
            'name' => 'infinite',
            'label' => esc_html__('Infinite Loop', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
        ),
        array(
            'name' => 'space_between',
            'label' => esc_html__('Reduce Spacing', 'bexpres'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'true',
            'condition' => [
                'layout' => ['1','2']
            ],
        ),
        array(
            'name' => 'speed',
            'label' => esc_html__('Animation Speed', 'bexpres'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 500,
        ),
    ),
),
array(
    'name' => 'section_style',
    'label' => esc_html__('Style', 'bexpres' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'star_font_size',
            'label' => esc_html__('Star Size', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--holder .pxl-item--star i' => 'font-size: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'star_color',
            'label' => esc_html__('Star Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [                
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--holder .pxl-item--star i' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','2','3']
            ],
        ),
        array(
            'name'  => 'icon_size',
            'label' => esc_html__( 'Icon Size (px)', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [                
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--quote svg' => 'width: {{SIZE}}{{UNIT}}',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'icon_color',
            'label' => esc_html__('Icon Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [                
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--quote svg path ' => 'fill: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'iconn_color',
            'label' => esc_html__('Icon Base Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [                
                ' {{WRAPPER}} .pxl-testimonial-carousel .wp-arrow .pxl-swiper-arrow i' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'icon_hover',
            'label' => esc_html__('Icon Hover', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [                
                ' {{WRAPPER}} .pxl-testimonial-carousel .wp-arrow .pxl-swiper-arrow i:hover' => 'color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'icon_margin',
            'label' => esc_html__('Icon Margin (px)', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--quote' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'separator' => 'after',
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'img_size',
            'label' => esc_html__('Image Size', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'description' => 'Enter image size (Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). Alternatively enter size in pixels (Default: 370x300 (Width x Height)).',
            'condition' => [
                'layout' => ['2']
            ],
        ),
        array(
            'name' => 'title_title_color',
            'label' => esc_html__('Title Color', 'bexpres' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{wrapper}} .pxl-testimonial-carousel .pxl-item--by .pxl-item--title, {{wrapper}} .pxl-testimonial-carousel3 .pxl-item--title' => 'color: {{value}};',
            ],
           'condition' => [
                'layout' => ['1','2','3']
            ],
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Typography', 'bexpres' ),
            'type' => \elementor\group_control_typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{wrapper}} .pxl-testimonial-carousel .pxl-item--by .pxl-item--title ', '{{wrapper}} .pxl-testimonial-carousel4 .pxl-item--inner .pxl-item--holder .pxl-item--quote .pxl-item--title', '{{wrapper}} .pxl-testimonial-carousel2 .pxl-carousel-inner .pxl-col-center .pxl-item--by .pxl-item--title', '  {{wrapper}} .pxl-testimonial-carousel3 .pxl-item--title',
            'condition' => [
                'layout' => ['1','2','3']
            ],
        ),
        array(
            'name' => 'title_color_s',
            'label' => esc_html__('Title Color', 'bexpres' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{wrapper}} .pxl-testimonial-carousel4 .pxl-item--inner .pxl-item--holder .pxl-item--quote .pxl-item--title' => 'color: {{value}};',
            ],
           'condition' => [
                'layout' => ['4']
            ],
        ),
        array(
            'name' => 'title_typography_s',
            'label' => esc_html__('Typography', 'bexpres' ),
            'type' => \elementor\group_control_typography::get_type(),
            'control_type' => 'group',
            'selector' => ' {{wrapper}} .pxl-testimonial-carousel4 .pxl-item--inner .pxl-item--holder .pxl-item--quote .pxl-item--title',
            'condition' => [
                'layout' => ['4']
            ],
        ),
        array(
            'name' => 'sub_title_color',
            'label' => esc_html__('Sub Color', 'bexpres' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{wrapper}} .pxl-testimonial-carousel .pxl-item--by .pxl-item--position' => 'color: {{value}};',
            ],
           'condition' => [
                'layout' => ['1','2','3']
            ],
        ),
        
        array(
            'name' => 'sub_typography',
            'label' => esc_html__('Sub Typography', 'bexpres' ),
            'type' => \elementor\group_control_typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{wrapper}} .pxl-testimonial-carousel .pxl-item--by .pxl-item--position',
            'condition' => [
                'layout' => ['1','2','3']
            ],
        ),
        array(
            'name' => 'desc_color',
            'label' => esc_html__('Description Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--desc' => 'color: {{VALUE}};',
            ],
        ),
       
        array(
            'name' => 'desc_typography',
            'label' => esc_html__('Description Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--desc',
        ),
        array(
            'name' => 'desc_max_width',
            'label' => esc_html__( 'Description Max Width', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--desc' => 'max-width: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'desc_margin',
            'label' => esc_html__('Description Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--desc' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'author_color',
            'label' => esc_html__('Author Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .item-avatar' => 'border-color: {{VALUE}};',
            ],
        ),
       
        array(
            'name' => 'author_max_width',
            'label' => esc_html__( 'Author Width/Height', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px'],
            'default' => [
                'unit' => 'px',
                'size' => '69',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--by .item-avatar img, {{WRAPPER}} .pxl-testimonial-carousel4 .pxl-item--inner .pxl-item--holder .pxl-item--quote .item-avatar' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'image_max_width',
            'label' => esc_html__( 'Image Width/Height', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px'],
            'default' => [
                'unit' => 'px',
                'size' => ' ',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner .pxl-image img' => 'width: {{SIZE}}{{UNIT}};height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'author_margin',
            'label' => esc_html__('Author Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .item-avatar' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'position_color',
            'label' => esc_html__('Position Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--position , {{WRAPPER}}.pxl-testimonial-carousel4 .pxl-item--holder .pxl-item--quote .pxl-item--bottom .pxl-item--position' => 'color: {{VALUE}};',
            ],
        ),
        
        array(
            'name' => 'position_typography',
            'label' => esc_html__('Position Typography', 'bexpres' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--position, {{WRAPPER}}.pxl-testimonial-carousel4 .pxl-item--holder .pxl-item--quote .pxl-item--bottom .pxl-item--position',
        ),
        array(
            'name' => 'position_margin',
            'label' => esc_html__('Position Margin', 'bexpres' ),
            'type' => 'dimensions',
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--position' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'bg_color',
            'label' => esc_html__( 'Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        
        array(
            'name' => 'hover_bg_color',
            'label' => esc_html__( 'Hover Background Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner:hover' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        
        array(
            'name' => 'border_type',
            'label' => esc_html__( 'Border Type', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__( 'None', 'bexpres' ),
                'solid' => esc_html__( 'Solid', 'bexpres' ),
                'double' => esc_html__( 'Double', 'bexpres' ),
                'dotted' => esc_html__( 'Dotted', 'bexpres' ),
                'dashed' => esc_html__( 'Dashed', 'bexpres' ),
                'groove' => esc_html__( 'Groove', 'bexpres' ),
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'border-style: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'border_width',
            'label' => esc_html__( 'Border Width', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'box_border_radius',
            'label' => esc_html__('Border Radius', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', '%' ],
            'control_type' => 'responsive',
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__('Border Color', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner .pxl-item--holder, {{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner .pxl-item--by .item-avatar, {{WRAPPER}} .pxl-testimonial-carousel .wp-arrow.style2 .pxl-swiper-arrow .circle' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => ['1','3']
            ],
        ),
        
        array(
            'name' => 'box_padding',
            'label' => esc_html__('Box Padding', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'size_units' => [ 'px', '%' ],
            'default' => [
                'unit' => 'px',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-item--inner' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'carousel_margin',
            'label' => esc_html__('Carousel Margin', 'bexpres' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px', 'em', '%', 'rem' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-testimonial-carousel .pxl-carousel-inner' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
    ),
),
bexpres_widget_animation_settings()
),
),
),
bexpres_get_class_widget_path()
);