<?php
/**
 * Include the TGM_Plugin_Activation class.
 */
get_template_part( 'inc/admin/libs/tgmpa/class-tgm-plugin-activation' );

add_action( 'tgmpa_register', 'bexpres_register_required_plugins' );
function bexpres_register_required_plugins() {
    include( locate_template( 'inc/admin/demo-data/demo-config.php' ) );
    $pxl_server_info = apply_filters( 'pxl_server_info', ['plugin_url' => 'https://api.bravisthemes.com/plugins/'] ) ;
    $default_path = $pxl_server_info['plugin_url'];
    $images = get_template_directory_uri() . '/inc/admin/assets/img/plugins';
    $plugins = array(
        array(
            'name'               => esc_html__('Bravis Addons', 'bexpres'),
            'slug'               => 'bravis-addons',
            'source'             => 'bravis-addons.zip',
            'required'           => true,
            'logo'        => $images . '/bravis-logo.png',
            'description' => esc_html__( 'Main process and Powerful Elements Plugin, exclusively for bexpres WordPress Theme.', 'bexpres' ),
        ),

        array(
            'name'               => esc_html__('Redux Framework', 'bexpres'),
            'slug'               => 'redux-framework',
            'required'           => true,
            'logo'        => $images . '/redux.png',
            'description' => esc_html__( 'Build theme options and post, page options for WordPress Theme.', 'bexpres' ),
        ),

        array(
            'name'               => esc_html__('Bravis User', 'bexpres'),
            'slug'               => 'bravis-user',
            'source'             => 'bravis-user.zip',
            'required'           => true,
            'logo'        => $images . '/wp-user.png',
            'description' => esc_html__( 'Bravis User can help you login and log out of account management in the fastest and simplest way.', 'bexpres' ),
        ), 

        array(
            'name'               => esc_html__('Mailchimp', ' bexpres'),
            'slug'               => "mailchimp-for-wp",
            'required'           => true,
            'logo'        => $images . '/mailchimp.png',
            'description' => esc_html__( 'Allowing your visitors to subscribe to your newsletter should be easy. With this plugin, it finally is.', 'bexpres' ),
        ),

        array(
            'name'               => esc_html__('Elementor', 'bexpres'),
            'slug'               => 'elementor',
            'required'           => true,
            'logo'        => $images . '/elementor.png',
            'description' => esc_html__( 'Introducing a WordPress website builder, with no limits of design. A website builder that delivers high-end page designs.', 'bexpres' ),
        ),
        array(
            'name'               => esc_html__('Force Regenerate Thumbnails', 'bexpres'),
            'slug'               => "force-regenerate-thumbnails",
            'required'           => false,
            'logo'        => $images . '/Force.jpg',
            'description' => esc_html__( 'Force Regenerate Thumbnails allows you to delete all old images sizes and REALLY regenerate the thumbnails for your uploads.', 'bexpres' ),
        ),

        array(
            'name'               => esc_html__('Contact Form 7', 'bexpres'),
            'slug'               => 'contact-form-7',
            'required'           => true,
            'logo'        => $images . '/contact-f7.png',
            'description' => esc_html__( 'Contact Form 7 can manage multiple contact forms, you can customize the form and the mail contents flexibly with simple markup', 'bexpres' ),

        ),

        array(
            'name'               => esc_html__('Disable Lazy Load', 'bexpres'),
            'slug'               => "disable-lazy-loading",
            'required'           => false,
            'logo'        => $images . '/ds-lazy.jpg',
            'description' => esc_html__( 'Does one thing: disables WP Lazy Load feature.', 'bexpres' ),
        ),

    );


$config = array(
        'default_path' => $default_path,           // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'is_automatic' => true,
    );

tgmpa( $plugins, $config );

}