<?php
function logitic_scroll_up_panel( $logitic_customizer, $priority ){
    $logitic_customizer->add_section( 'logitic_scroll_up_setting' , array(
        'title'      => esc_html__( 'Scroll To Top Setting', 'logitic' ),
        'priority'   => $priority,
        'panel'		 => 'logitic_options_panel'
    ) );

	//Start Show scroll up
	$logitic_customizer->add_setting( 'rstheme_enable_go_to_top', 
	array(
		'default'    => '0',
		) 
	);
	
	$logitic_customizer->add_control(
		new logitic_Customize_Switch_Control(
			$logitic_customizer,
			'rstheme_enable_go_to_top',
			array(
				'type' => 'switch',
				'label' => esc_html__('Go to Top','logitic'),
				'description' => esc_html__('You can show or hide here','logitic'),
				'section' => 'logitic_scroll_up_setting'
			)
		)
	);
	//End Show scroll up

	//Start separator
	$logitic_customizer->add_setting(
		'separator_25', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_25', 
			array(
				'settings'		=> 'separator_25',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Background Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top_bg_color',
            array(
                'label'      => esc_html__('Background Color','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top_bg_color',
            )
        )
    );
	//End Go to Top Background Color

	//Start separator
	$logitic_customizer->add_setting(
		'separator_24', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_24', 
			array(
				'settings'		=> 'separator_24',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Background Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top_bg_color_hover'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top_bg_color_hover',
            array(
                'label'      => esc_html__('Background Color (Hover)','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top_bg_color_hover',
            )
        )
    );
	//End Go to Top Background Color


	//Start separator
	$logitic_customizer->add_setting(
		'separator_13', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_13', 
			array(
				'settings'		=> 'separator_13',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Background Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top__color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top__color',
            array(
                'label'      => esc_html__('Icon Color','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top__color',
            )
        )
    );
	//End Go to Top Background Color

	//Start separator
	$logitic_customizer->add_setting(
		'separator_12', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_12', 
			array(
				'settings'		=> 'separator_12',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Background Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top__color_hover'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top__color_hover',
            array(
                'label'      => esc_html__('Icon Color (Hover)','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top__color_hover',
            )
        )
    );
	//End Go to Top Background Color

	//Start separator
	$logitic_customizer->add_setting(
		'separator_29', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_29', 
			array(
				'settings'		=> 'separator_29',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Circle Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top_circle_border_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top_circle_border_color',
            array(
                'label'      => esc_html__('Circle Border Color','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top_circle_border_color',
            )
        )
    );
	//End Go to Top Circle Color

	//Start separator
	$logitic_customizer->add_setting(
		'separator_30', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'separator_30', 
			array(
				'settings'		=> 'separator_30',
				'section'  		=> 'logitic_scroll_up_setting',
			)
		)
	);
	//End separator

	//Start Go to Top Circle Color
	$logitic_customizer->add_setting (
        'logitic_scroll_top_circle_border_color_hover'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_scroll_top_circle_border_color_hover',
            array(
                'label'      => esc_html__('Circle Border Color (Hover)','logitic'),
                'section'    => 'logitic_scroll_up_setting',
                'settings'   => 'logitic_scroll_top_circle_border_color_hover',
            )
        )
    );
	//End Go to Top Circle Color

}