<?php
function logitic_main_menu_style_panel( $logitic_customizer, $priority ){
    $logitic_customizer->add_section( 'logitic_main_menu_setting' , array(
        'title'      => esc_html__( 'Main Menu Settings', 'logitic' ),
        'priority'   => $priority,
        'panel'		 => 'logitic_options_panel'
    ) );

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_text_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_text_color',
            array(
                'label' => esc_html__('Menu Text Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_text_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_0', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_0', 
			array(
				'settings'		=> 'main_menu_hr_0',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_hover_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_hover_color',
            array(
                'label' => esc_html__('Menu Hover Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_hover_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_2', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_2', 
			array(
				'settings'		=> 'main_menu_hr_2',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_active_color',
        array(
            'default' => '#FFFFFF',
        )
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_active_color',
            array(
                'label' => esc_html__('Menu Active Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_active_color',
            )
        )
    );
    //End


    //Start separator
    $logitic_customizer->add_setting(
    	'main_menu_hr_1', 
    	array(
    		'default'           => '',
    		'sanitize_callback' => 'esc_html',
    	)
    );
    $logitic_customizer->add_control(
    	new logitic_Separator_Control(
    		$logitic_customizer, 
    		'main_menu_hr_1', 
    		array(
    			'settings'		=> 'main_menu_hr_1',
    			'section'  		=> 'logitic_main_menu_setting',
    		)
    	)
    );
    //End separator 


	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_color',
            array(
                'label' => esc_html__('Menu Dropdown Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_3', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_3', 
			array(
				'settings'		=> 'main_menu_hr_3',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_active_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_active_color',
            array(
                'label' => esc_html__('Menu Dropdown Active Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_active_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_4', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_4', 
			array(
				'settings'		=> 'main_menu_hr_4',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_hover_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_hover_color',
            array(
                'label' => esc_html__('Menu Dropdown Hover Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_hover_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_5', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_5', 
			array(
				'settings'		=> 'main_menu_hr_5',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_bg_color',
            array(
                'label' => esc_html__('Menu Dropdown Background Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_bg_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_6', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_6', 
			array(
				'settings'		=> 'main_menu_hr_6',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_hover_bg_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_hover_bg_color',
            array(
                'label' => esc_html__('Menu Dropdown Hover Background Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_hover_bg_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_07', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_07', 
			array(
				'settings'		=> 'main_menu_hr_07',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start
    $logitic_customizer->add_setting(
        'logitic_main_menu_dropdown_border_color'
    );
    $logitic_customizer->add_control(
        new WP_Customize_Color_Control(
            $logitic_customizer,
            'logitic_main_menu_dropdown_border_color',
            array(
                'label' => esc_html__('Menu Dropdown Border Color', 'logitic'),
                'description' => esc_html__('Pick color', 'logitic'),
                'section' => 'logitic_main_menu_setting',
                'settings' => 'logitic_main_menu_dropdown_border_color',
            )
        )
    );
    //End

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_7', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_7', 
			array(
				'settings'		=> 'main_menu_hr_7',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 
	
	//Start container size
    $logitic_customizer->add_setting(
        'logitic_main_menu_lr_gap',
        array(
            'transport' => 'refresh',
        )
    );

    $logitic_customizer->add_control('logitic_main_menu_lr_gap', array(
        'section' => 'logitic_main_menu_setting',
        'label' => esc_html__('Menu Item Left/Right Gap', 'logitic'),
		'description' => esc_html__('For example 10px', 'logitic'),
        'type' => 'text',
        'setting' => 'logitic_main_menu_lr_gap',
    ));
    //End container size

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_8', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_8', 
			array(
				'settings'		=> 'main_menu_hr_8',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 
	
	//Start container size
    $logitic_customizer->add_setting(
        'logitic_main_menu_top_gap',
        array(
            'transport' => 'refresh',
        )
    );

    $logitic_customizer->add_control('logitic_main_menu_top_gap', array(
        'section' => 'logitic_main_menu_setting',
        'label' => esc_html__('Menu Item Top Gap', 'logitic'),
		'description' => esc_html__('For example 10px', 'logitic'),
        'type' => 'text',
        'setting' => 'logitic_main_menu_top_gap',
    ));
    //End container size

	//Start separator
	$logitic_customizer->add_setting(
		'main_menu_hr_9', 
		array(
			'default'           => '',
			'sanitize_callback' => 'esc_html',
		)
	);
	$logitic_customizer->add_control(
		new logitic_Separator_Control(
			$logitic_customizer, 
			'main_menu_hr_9', 
			array(
				'settings'		=> 'main_menu_hr_9',
				'section'  		=> 'logitic_main_menu_setting',
			)
		)
	);
	//End separator 

	//Start container size
    $logitic_customizer->add_setting(
        'logitic_main_menu_bottom_gap',
        array(
            'transport' => 'refresh',
        )
    );
    $logitic_customizer->add_control('logitic_main_menu_bottom_gap', array(
        'section' => 'logitic_main_menu_setting',
        'label' => esc_html__('Menu Item Bottom Gap', 'logitic'),
		'description' => esc_html__('For example 10px', 'logitic'),
        'type' => 'text',
        'setting' => 'logitic_main_menu_bottom_gap',
    ));
    //End container size

}